(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    107270,       3108]
NotebookOptionsPosition[    100476,       2907]
NotebookOutlinePosition[    100859,       2924]
CellTagsIndexPosition[    100816,       2921]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Param\[EAcute]terbecsl\[EAcute]s", "Title",
 CellChangeTimes->{{3.607512232983563*^9, 3.6075122566105833`*^9}, {
  3.60751230798321*^9, 3.607512310440373*^9}, {3.6075124042641277`*^9, 
  3.6075124089052267`*^9}, {3.607615852130323*^9, 3.607615863955181*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SetOptions", "[", 
     RowBox[{"#", ",", "\n", "\t", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
        RowBox[{"GridLinesStyle", "\[Rule]", "Dotted"}], ",", 
        RowBox[{"Frame", "\[Rule]", "True"}], ",", 
        RowBox[{"FrameStyle", "\[Rule]", "14"}], ",", " ", 
        RowBox[{"ImageSize", "\[Rule]", "400"}]}], "}"}]}], "]"}], "&"}], "/@",
    "\n", "\t", 
   RowBox[{"{", 
    RowBox[{
    "DiscretePlot", ",", " ", "Plot", ",", " ", "ListPlot", ",", " ", 
     "ListLinePlot", ",", " ", "ParametricPlot", ",", " ", "ContourPlot", ",",
      "VectorPlot", ",", "StreamPlot"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SetOptions", "[", 
     RowBox[{"#", ",", 
      RowBox[{"{", 
       RowBox[{"ImageSize", "\[Rule]", "300"}], "}"}]}], "]"}], "&"}], "/@", 
   RowBox[{"{", 
    RowBox[{
    "ParametricPlot3D", ",", " ", "Plot3D", ",", " ", "ContourPlot3D"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]}], "Code",
 CellChangeTimes->{{3.6000265811826267`*^9, 3.600026630345335*^9}, {
  3.600032717148242*^9, 3.600032737995819*^9}, {3.600072807334208*^9, 
  3.60007280974592*^9}, {3.600177587340814*^9, 3.600177594034296*^9}, {
  3.600179927112842*^9, 3.600179958261408*^9}, {3.60163117574153*^9, 
  3.601631189520238*^9}, {3.603364227375906*^9, 3.6033642299714813`*^9}, {
  3.6033827796677933`*^9, 3.603382779786178*^9}, {3.603388110964014*^9, 
  3.603388111083087*^9}, {3.604045943808853*^9, 3.604045971893299*^9}, {
  3.6064098477302094`*^9, 3.606409852940057*^9}, {3.6064776890198603`*^9, 
  3.60647769358379*^9}, {3.624353169533187*^9, 3.6243531699963017`*^9}}],

Cell[CellGroupData[{

Cell["Line\[AAcute]ris modellek", "Section",
 CellChangeTimes->{{3.607615873629438*^9, 3.607615875835897*^9}, {
  3.6076724721727533`*^9, 3.607672472835692*^9}}],

Cell[BoxData[
 RowBox[{"?", "LinearModelFit"}]], "Input",
 CellChangeTimes->{{3.6076168813293533`*^9, 3.607616884946968*^9}}],

Cell[CellGroupData[{

Cell["FittedModel objektum", "Subsection",
 CellChangeTimes->{{3.6076168405179358`*^9, 3.6076168687361803`*^9}}],

Cell["Egyenesre illeszt\[UDoubleDot]nk.", "Text",
 CellChangeTimes->{{3.624345509129601*^9, 3.62434551917025*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Array", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"#", ",", 
        RowBox[{"2.48", "+", 
         RowBox[{"0.35", "#"}], "+", 
         RowBox[{"RandomVariate", "[", 
          RowBox[{"NormalDistribution", "[", 
           RowBox[{"0", ",", "0.2"}], "]"}], "]"}]}]}], "}"}], "&"}], ",", 
     "20", ",", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "10."}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fit", "=", 
   RowBox[{"LinearModelFit", "[", 
    RowBox[{"data", ",", "x", ",", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"fit", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "10"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "Automatic"}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Medium", "]"}], ",", "Red", ",", 
      RowBox[{"Point", "[", "data", "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.607512553447624*^9, 3.607512607968072*^9}, {
   3.60751265585977*^9, 3.607512687103479*^9}, 3.607513085213747*^9, {
   3.607615665244032*^9, 3.607615690191546*^9}, {3.607615743829473*^9, 
   3.6076158264978027`*^9}, {3.607615895053648*^9, 3.607615918119254*^9}}],

Cell["A FittedModel objektum.", "Text",
 CellChangeTimes->{{3.624345524306849*^9, 3.624345531634062*^9}}],

Cell[BoxData["fit"], "Input",
 CellChangeTimes->{{3.607615913700787*^9, 3.60761593555756*^9}}],

Cell["Az al\[AAcute]bbi tulaldons\[AAcute]gokkal rendelkezik:", "Text",
 CellChangeTimes->{{3.624345542114938*^9, 3.624345557866531*^9}}],

Cell[BoxData[
 RowBox[{"fit", "[", "\"\<Properties\>\"", "]"}]], "Input"],

Cell["P\[EAcute]ld\[AAcute]ul", "Text",
 CellChangeTimes->{{3.624345567356244*^9, 3.624345568500268*^9}}],

Cell[BoxData[
 RowBox[{"fit", "[", "\"\<ANOVATable\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.607615938916285*^9, 3.607615953923975*^9}, {
   3.6076159879663973`*^9, 3.60761599319212*^9}, 3.624345564455158*^9}],

Cell["Maga az illesztett model", "Text",
 CellChangeTimes->{{3.624345580163508*^9, 3.624345587194977*^9}}],

Cell[BoxData[{
 RowBox[{"fit", "[", "\"\<BestFit\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "[", "\"\<Function\>\"", "]"}]}], "Input",
 CellChangeTimes->{{3.624269130979248*^9, 3.6242691530823107`*^9}}],

Cell["vagy csak egyszer\[UDoubleAcute]en:", "Text",
 CellChangeTimes->{{3.624345647941895*^9, 3.624345653599028*^9}}],

Cell[BoxData[{
 RowBox[{"fit", "[", "1.6", "]"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "[", "z", "]"}]}], "Input",
 CellChangeTimes->{{3.624345655554043*^9, 3.624345688733419*^9}}],

Cell[CellGroupData[{

Cell["P\[EAcute]lda", "Subsubsection",
 CellChangeTimes->{{3.6076169668091927`*^9, 3.607616968605356*^9}, 
   3.6076177802895393`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Array", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"#", ",", 
        RowBox[{"0.48", "+", 
         RowBox[{"1.65", "#"}], "+", 
         RowBox[{"30.57", "/", "#"}], "+", 
         RowBox[{"5", " ", 
          RowBox[{"RandomVariate", "[", 
           RowBox[{"NormalDistribution", "[", 
            RowBox[{"0", ",", "0.4"}], "]"}], "]"}]}]}]}], "}"}], "&"}], ",", 
     "20", ",", 
     RowBox[{"{", 
      RowBox[{"0.01", ",", "10."}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fit", "=", 
   RowBox[{"LinearModelFit", "[", 
    RowBox[{"data", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       FractionBox["1", "x"]}], "}"}], ",", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "[", "\"\<ParameterTable\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"fit", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0.01", ",", "10"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "Automatic"}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Medium", "]"}], ",", "Red", ",", 
      RowBox[{"Point", "[", "data", "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.607616027196644*^9, 3.607616294220942*^9}, {
  3.607616387705496*^9, 3.6076163942173357`*^9}, {3.6243457342696447`*^9, 
  3.624345786950485*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Beta]", "0"], TraditionalForm]]],
 " (konstans) param\[EAcute]ter kihagy\[AAcute]sa"
}], "Subsubsection",
 CellChangeTimes->{{3.607616930682516*^9, 3.607616942024479*^9}, {
  3.607616973344418*^9, 3.607616993690744*^9}, {3.6243457968049994`*^9, 
  3.624345800091415*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Array", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"#", ",", 
        RowBox[{
         RowBox[{"1.5", 
          RowBox[{"Exp", "[", 
           RowBox[{"-", "#"}], "]"}]}], "-", 
         RowBox[{"1.2", 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", "2"}], "#"}], "]"}]}], "+", " ", 
         RowBox[{"0.2", 
          RowBox[{"RandomVariate", "[", 
           RowBox[{"NormalDistribution", "[", 
            RowBox[{"0", ",", "0.1"}], "]"}], "]"}]}]}]}], "}"}], "&"}], ",", 
     "20", ",", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "10."}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fit", "=", 
   RowBox[{"LinearModelFit", "[", 
    RowBox[{"data", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Exp", "[", 
        RowBox[{"-", "x"}], "]"}], ",", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", "2"}], "x"}], "]"}]}], "}"}], ",", "x", ",", 
     RowBox[{"IncludeConstantBasis", "\[Rule]", "False"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "[", "\"\<ParameterTable\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "[", "\"\<BestFit\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"fit", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0.", ",", "10"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "Automatic"}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Medium", "]"}], ",", "Red", ",", 
      RowBox[{"Point", "[", "data", "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.607616342214909*^9, 3.607616378014429*^9}, {
  3.607616420470036*^9, 3.607616486780456*^9}, {3.607616516916132*^9, 
  3.6076165295769587`*^9}, {3.607616588966424*^9, 3.607616591893889*^9}, {
  3.6076171137191772`*^9, 3.607617121961009*^9}, {3.624269341793334*^9, 
  3.6242693461569643`*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["K\[EAcute]tv\[AAcute]ltoz\[OAcute]s f\[UDoubleDot]ggv\[EAcute]ny", \
"Subsection",
 CellChangeTimes->{{3.607616999007347*^9, 3.607617009389347*^9}, {
  3.62434585558957*^9, 3.624345874702055*^9}}],

Cell[BoxData[{
 RowBox[{"Clear", "[", "f", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"0.2", "x"}], "-", 
   RowBox[{"0.6", "y"}], "+", "1.2"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Array", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#1", ",", "#2", ",", 
          RowBox[{
           RowBox[{"f", "[", 
            RowBox[{"#1", ",", "#2"}], "]"}], "+", 
           RowBox[{"2", 
            RowBox[{"RandomVariate", "[", 
             RowBox[{"NormalDistribution", "[", 
              RowBox[{"0", ",", "0.4"}], "]"}], "]"}]}]}]}], "}"}], "&"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"20", ",", "20"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0.", ",", "10."}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.", ",", "10."}], "}"}]}], "}"}]}], "]"}], ",", "1"}], 
    "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.607617025641349*^9, 3.607617055607629*^9}, {
  3.607617132534925*^9, 3.607617152024005*^9}, {3.6076172094111757`*^9, 
  3.607617240356627*^9}, {3.607617442024665*^9, 3.6076174560586023`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"fit", "=", 
   RowBox[{"LinearModelFit", "[", 
    RowBox[{"data", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "[", "\"\<ParameterTable\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "[", "\"\<BestFit\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot3D", "[", 
    RowBox[{
     RowBox[{"fit", "[", 
      RowBox[{"x", ",", "y"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "10"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "0", ",", "10"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "None"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Graphics3D", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Medium", "]"}], ",", "Red", ",", 
      RowBox[{"Point", "[", "data", "]"}]}], "}"}], "]"}]}], 
  "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.607617188750738*^9, 3.6076171978197813`*^9}, {
  3.607617276301421*^9, 3.6076173238582687`*^9}, {3.607617409193166*^9, 
  3.607617429119709*^9}, {3.607617472014485*^9, 3.6076174823644876`*^9}, {
  3.624269394268248*^9, 3.624269398611125*^9}, {3.6243459807601357`*^9, 
  3.6243459809020243`*^9}}],

Cell[CellGroupData[{

Cell["Tov\[AAcute]bbi p\[EAcute]lda", "Subsubsection",
 CellChangeTimes->{{3.607617770534321*^9, 3.6076177709079*^9}, {
  3.6076189145974207`*^9, 3.60761891745258*^9}, {3.624345877679397*^9, 
  3.624345885567173*^9}}],

Cell[BoxData[{
 RowBox[{"Clear", "[", 
  RowBox[{"data", ",", "f", ",", "x", ",", "y"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"0.4", 
    SuperscriptBox["x", "2"]}], "-", 
   RowBox[{"0.25", "x", " ", "y"}], "-", 
   RowBox[{"0.8", 
    SuperscriptBox["y", "2"]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Array", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#1", ",", "#2", ",", 
          RowBox[{
           RowBox[{"f", "[", 
            RowBox[{"#1", ",", "#2"}], "]"}], "+", 
           RowBox[{"3", 
            RowBox[{"RandomVariate", "[", 
             RowBox[{"NormalDistribution", "[", 
              RowBox[{"0", ",", "0.2"}], "]"}], "]"}]}]}]}], "}"}], "&"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"10", ",", "10"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2."}], ",", "2."}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2."}], ",", "2."}], "}"}]}], "}"}]}], "]"}], ",", 
     "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fit", "=", 
   RowBox[{"LinearModelFit", "[", 
    RowBox[{"data", ",", 
     RowBox[{"{", 
      RowBox[{
       SuperscriptBox["x", "2"], ",", 
       SuperscriptBox["y", "2"], ",", " ", 
       RowBox[{"x", " ", "y"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], ",", 
     StyleBox[
      RowBox[{"IncludeConstantBasis", "\[Rule]", "False"}],
      Background->RGBColor[1, 1, 0]]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "[", "\"\<ParameterTable\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot3D", "[", 
    RowBox[{
     RowBox[{"fit", "[", 
      RowBox[{"x", ",", "y"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "2.5"}], ",", "2.5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "2.5"}], ",", "2.5"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "None"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Graphics3D", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Medium", "]"}], ",", "Red", ",", 
      RowBox[{"Point", "[", "data", "]"}]}], "}"}], "]"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "2.5"}], ",", "2.5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "2.5"}], ",", "2.5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "6"}], ",", "3"}], "}"}]}], "}"}]}]}], 
  "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.607617789612976*^9, 3.607617802888447*^9}, {
   3.607617850525478*^9, 3.607617853061274*^9}, {3.607617913840507*^9, 
   3.607617922790513*^9}, {3.607617967382015*^9, 3.607618161569083*^9}, {
   3.607618201170019*^9, 3.607618210927684*^9}, {3.607618245053112*^9, 
   3.60761827923499*^9}, {3.6076183409308*^9, 3.607618359116858*^9}, {
   3.607618415823958*^9, 3.607618617203424*^9}, {3.607618658108781*^9, 
   3.607618729451744*^9}, {3.607618779889963*^9, 3.6076188779844522`*^9}, {
   3.607618931701007*^9, 3.607618974203388*^9}, 3.6243460159233007`*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Szakaszonk\[EAcute]nt egyenes", "Subsection",
 CellChangeTimes->{{3.624264157358395*^9, 3.6242641603498898`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"F", "[", "x_", "]"}], ":=", 
  RowBox[{
   RowBox[{"-", 
    RowBox[{"Log", "[", 
     RowBox[{
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "0.1"}], "x"}], "]"}], "-", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "3"}], "x"}], "]"}]}], "]"}]}], "+", 
   RowBox[{"0.1", 
    RowBox[{"RandomReal", "[", "]"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"-", 
    RowBox[{"Log", "[", 
     RowBox[{
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "0.1"}], "x"}], "]"}], "-", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "3"}], "x"}], "]"}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.624263867113199*^9, 3.62426388116255*^9}, {
  3.624263927644537*^9, 3.6242639277966433`*^9}, {3.624346039710724*^9, 
  3.624346039944022*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"F", "[", "x", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0.01", ",", "3", ",", "0.05"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6242638857008533`*^9, 3.624263938564302*^9}, {
  3.624346060934819*^9, 3.624346068903255*^9}}],

Cell[BoxData[
 RowBox[{"ListPlot", "[", "data", "]"}]], "Input",
 CellChangeTimes->{{3.624263917766844*^9, 3.624263919776639*^9}}],

Cell["\<\
Pr\[OAcute]b\[AAcute]lkozzunk szakaszonk\[EAcute]nt defini\[AAcute]lt f\
\[UDoubleDot]ggv\[EAcute]nnyel \[UAcute]gy, hogy az intervallum sz\[EAcute]le \
is param\[EAcute]ter.\
\>", "Text",
 CellChangeTimes->{{3.6243460865382643`*^9, 3.624346178629856*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"H", "[", "x_", "]"}], ":=", 
  RowBox[{"Piecewise", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"a", " ", "x"}], "+", "b"}], ",", 
       RowBox[{"0", "<", "x", "<", "\[Mu]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"c", " ", "x"}], " ", "+", "d"}], ",", 
       RowBox[{"\[Mu]", "\[LessEqual]", "x"}]}], "}"}]}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6242639589069242`*^9, 3.624264013503681*^9}}],

Cell[BoxData[
 RowBox[{"fit", "=", 
  RowBox[{"NonlinearModelFit", "[", 
   RowBox[{"data", ",", 
    RowBox[{"H", "[", "x", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", 
      RowBox[{"{", 
       RowBox[{"\[Mu]", ",", "0.5"}], "}"}]}], "}"}], ",", "x"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.62426401781741*^9, 3.624264062343684*^9}, {
  3.6242642246403027`*^9, 3.624264274193755*^9}, {3.6242643075558*^9, 
  3.6242643247775297`*^9}, {3.624264451226253*^9, 3.624264451412251*^9}, {
  3.624269776346294*^9, 3.624269781497787*^9}, {3.6242698301069202`*^9, 
  3.624269833843505*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"fit", "[", "x", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "3"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Red"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", "data", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.624264064100726*^9, 3.624264093056182*^9}, {
  3.624264195511581*^9, 3.624264203674058*^9}, {3.6242642640223827`*^9, 
  3.62426426689401*^9}, {3.6242643102074013`*^9, 3.624264310613122*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"fitt", "[", "\[Mu]_", "]"}], ":=", 
  RowBox[{"NonlinearModelFit", "[", 
   RowBox[{"data", ",", 
    RowBox[{"Piecewise", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"a", " ", "x"}], "+", "b"}], ",", 
         RowBox[{"0", "<", "x", "<", "\[Mu]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"c", " ", "x"}], " ", "+", "d"}], ",", 
         RowBox[{"\[Mu]", "\[LessEqual]", "x"}]}], "}"}]}], "}"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", "x"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6242698821834393`*^9, 3.6242699064711447`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"fitt", "[", "0.077", "]"}], "[", "x", "]"}]], "Input",
 CellChangeTimes->{{3.624270010822877*^9, 3.6242700204077053`*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Show", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"Evaluate", "[", 
        RowBox[{
         RowBox[{"fitt", "[", "\[Mu]", "]"}], "[", "x", "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "3"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"data", ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Red"}]}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Mu]", ",", "0.5", ",", "1.5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.624269951840966*^9, 3.624270095392466*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"fitt", "[", "0.4", "]"}], "[", "\"\<ParameterErrors\>\"", 
  "]"}]], "Input",
 CellChangeTimes->{{3.624270118527142*^9, 3.624270139983028*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Nemline\[AAcute]ris modellek", "Section",
 CellChangeTimes->{{3.607618995724016*^9, 3.607618998449329*^9}}],

Cell[CellGroupData[{

Cell["Szimbolikus", "Subsection",
 CellChangeTimes->{{3.607619044259304*^9, 3.607619045948213*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Array", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"#", ",", 
        RowBox[{"2.48", "+", 
         RowBox[{"0.35", "#"}], "+", 
         RowBox[{"RandomVariate", "[", 
          RowBox[{"NormalDistribution", "[", 
           RowBox[{"0", ",", "0.2"}], "]"}], "]"}]}]}], "}"}], "&"}], ",", 
     "20", ",", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "10."}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fit", "=", 
   RowBox[{"NonlinearModelFit", "[", 
    RowBox[{"data", ",", 
     RowBox[{
      RowBox[{"a", " ", "x"}], "+", "b"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "[", "\"\<ParameterTable\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "[", "\"\<BestFit\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"fit", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "10"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "Automatic"}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Medium", "]"}], ",", "Red", ",", 
      RowBox[{"Point", "[", "data", "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.607658689471888*^9, 3.607658758318783*^9}, {
  3.624270341865552*^9, 3.624270348536726*^9}}],

Cell[BoxData[{
 RowBox[{"Clear", "[", 
  RowBox[{"data", ",", "fit"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Array", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"#", ",", 
        RowBox[{
         RowBox[{"3.4", 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", "0.4"}], "#"}], "]"}]}], "+", "1", "+", 
         RowBox[{"RandomVariate", "[", 
          RowBox[{"NormalDistribution", "[", 
           RowBox[{"0", ",", "0.2"}], "]"}], "]"}]}]}], "}"}], "&"}], ",", 
     "20", ",", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "10."}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fit", "=", 
   RowBox[{"NonlinearModelFit", "[", 
    RowBox[{"data", ",", 
     RowBox[{
      RowBox[{"a", " ", 
       RowBox[{"Exp", "[", 
        RowBox[{"\[Lambda]", " ", "x"}], "]"}]}], "+", "b"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[Lambda]", ",", 
         RowBox[{"-", "1"}]}], "}"}], ",", "a", ",", "b"}], "}"}], ",", "x"}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "[", "\"\<ParameterTable\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "[", "\"\<BestFit\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"fit", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "10"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "Automatic"}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Medium", "]"}], ",", "Red", ",", 
      RowBox[{"Point", "[", "data", "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.607660187907865*^9, 3.607660228156011*^9}, {
  3.6076602598260307`*^9, 3.607660374953314*^9}, {3.6242704731659527`*^9, 
  3.624270495865638*^9}}],

Cell[CellGroupData[{

Cell["P\[EAcute]lda: szakaszonk\[EAcute]nt egyenes", "Subsubsection",
 CellChangeTimes->{{3.624264157358395*^9, 3.6242641603498898`*^9}, {
  3.624346237364086*^9, 3.6243462399354057`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"F", "[", "x_", "]"}], ":=", 
  RowBox[{
   RowBox[{"-", 
    RowBox[{"Log", "[", 
     RowBox[{
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "0.1"}], "x"}], "]"}], "-", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "3"}], "x"}], "]"}]}], "]"}]}], "+", 
   RowBox[{"0.1", 
    RowBox[{"RandomReal", "[", "]"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"-", 
    RowBox[{"Log", "[", 
     RowBox[{
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "0.1"}], "x"}], "]"}], "-", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "3"}], "x"}], "]"}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.624263867113199*^9, 3.62426388116255*^9}, {
  3.624263927644537*^9, 3.6242639277966433`*^9}, {3.624346039710724*^9, 
  3.624346039944022*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"F", "[", "x", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0.01", ",", "3", ",", "0.05"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6242638857008533`*^9, 3.624263938564302*^9}, {
  3.624346060934819*^9, 3.624346068903255*^9}}],

Cell[BoxData[
 RowBox[{"ListPlot", "[", "data", "]"}]], "Input",
 CellChangeTimes->{{3.624263917766844*^9, 3.624263919776639*^9}}],

Cell["\<\
Pr\[OAcute]b\[AAcute]lkozzunk szakaszonk\[EAcute]nt defini\[AAcute]lt f\
\[UDoubleDot]ggv\[EAcute]nnyel \[UAcute]gy, hogy az intervallum sz\[EAcute]le \
is param\[EAcute]ter.\
\>", "Text",
 CellChangeTimes->{{3.6243460865382643`*^9, 3.624346178629856*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"H", "[", "x_", "]"}], ":=", 
  RowBox[{"Piecewise", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"a", " ", "x"}], "+", "b"}], ",", 
       RowBox[{"0", "<", "x", "<", "\[Mu]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"c", " ", "x"}], " ", "+", "d"}], ",", 
       RowBox[{"\[Mu]", "\[LessEqual]", "x"}]}], "}"}]}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6242639589069242`*^9, 3.624264013503681*^9}}],

Cell[BoxData[
 RowBox[{"fit", "=", 
  RowBox[{"NonlinearModelFit", "[", 
   RowBox[{"data", ",", 
    RowBox[{"H", "[", "x", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", 
      RowBox[{"{", 
       RowBox[{"\[Mu]", ",", "0.7"}], "}"}]}], "}"}], ",", "x"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.62426401781741*^9, 3.624264062343684*^9}, {
   3.6242642246403027`*^9, 3.624264274193755*^9}, {3.6242643075558*^9, 
   3.6242643247775297`*^9}, {3.624264451226253*^9, 3.624264451412251*^9}, {
   3.624269776346294*^9, 3.624269781497787*^9}, {3.6242698301069202`*^9, 
   3.624269833843505*^9}, 3.624346284778801*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"fit", "[", "x", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "3"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Red"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", "data", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.624264064100726*^9, 3.624264093056182*^9}, {
  3.624264195511581*^9, 3.624264203674058*^9}, {3.6242642640223827`*^9, 
  3.62426426689401*^9}, {3.6242643102074013`*^9, 3.624264310613122*^9}}],

Cell[TextData[{
 "\[CapitalUAcute]gy n\[EAcute]z ki a ",
 Cell[BoxData[
  FormBox["\[Mu]", TraditionalForm]],
  FormatType->"TraditionalForm"],
 " param\[EAcute]ter nem v\[AAcute]ltozik a be\[AAcute]ll\[IAcute]tott \
kezdeti \[EAcute]rt\[EAcute]khezu k\[EAcute]pest.\n\
P\[OAcute]b\[AAcute]lkozzunk ezzel:"
}], "Text",
 CellChangeTimes->{{3.624346294345571*^9, 3.624346308272497*^9}, {
  3.624346469751635*^9, 3.624346487822938*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"fitt", "[", "\[Mu]_", "]"}], ":=", 
  RowBox[{"NonlinearModelFit", "[", 
   RowBox[{"data", ",", 
    RowBox[{"Piecewise", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"a", " ", "x"}], "+", "b"}], ",", 
         RowBox[{"0", "<", "x", "<", "\[Mu]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"c", " ", "x"}], " ", "+", "d"}], ",", 
         RowBox[{"\[Mu]", "\[LessEqual]", "x"}]}], "}"}]}], "}"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", "x"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6242698821834393`*^9, 3.6242699064711447`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"fitt", "[", "0.077", "]"}], "[", "x", "]"}]], "Input",
 CellChangeTimes->{{3.624270010822877*^9, 3.6242700204077053`*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Show", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"Evaluate", "[", 
        RowBox[{
         RowBox[{"fitt", "[", "\[Mu]", "]"}], "[", "x", "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "3"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"data", ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Red"}]}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Mu]", ",", "0.5", ",", "1.5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.624269951840966*^9, 3.624270095392466*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Total", "@", 
     RowBox[{
      RowBox[{"fitt", "[", "\[Mu]", "]"}], "[", "\"\<ParameterErrors\>\"", 
      "]"}]}], "^", "2"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Mu]", ",", "0.5", ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.624270118527142*^9, 3.624270139983028*^9}, {
  3.624346544377016*^9, 3.624346576680258*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["T\[ODoubleDot]bbv\[AAcute]ltoz\[OAcute]s", "Subsubsection",
 CellChangeTimes->{{3.607660409409122*^9, 3.6076604147570047`*^9}}],

Cell[BoxData[{
 RowBox[{"Clear", "[", "f", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"\[Sigma]_", ",", "\[Rho]_"}], "]"}], "[", 
   RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
  RowBox[{"PDF", "[", 
   RowBox[{
    RowBox[{"MultinormalDistribution", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SuperscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          SuperscriptBox["\[Rho]", "2"]}], "}"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Array", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#1", ",", "#2", ",", 
          RowBox[{
           RowBox[{"10", 
            RowBox[{
             RowBox[{"f", "[", 
              RowBox[{
               SqrtBox["0.1"], ",", 
               SqrtBox["0.3"]}], "]"}], "[", 
             RowBox[{"#1", ",", "#2"}], "]"}]}], "+", 
           RowBox[{"RandomVariate", "[", 
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", "0.4"}], "]"}], "]"}]}]}], "}"}], "&"}], ",", 
       RowBox[{"{", 
        RowBox[{"10", ",", "10"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2."}], ",", "2."}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2."}], ",", "2."}], "}"}]}], "}"}]}], "]"}], ",", 
     "1"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.607661408227457*^9, 3.60766143452453*^9}, {
  3.607661532298346*^9, 3.607661573183792*^9}, {3.624346764583343*^9, 
  3.624346765124982*^9}, {3.624346841168571*^9, 3.624346844055313*^9}}],

Cell[TextData[{
 "Most \[IAcute]gy n\[EAcute]z ki az adat: ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["x", "i"], ",", 
     SubscriptBox["y", "i"], ",", 
     RowBox[{
      SubscriptBox["f", 
       RowBox[{"\[Sigma]", ",", "\[Rho]"}]], "(", 
      RowBox[{
       SubscriptBox["x", "i"], ",", 
       SubscriptBox["y", "i"]}], ")"}]}], ")"}], TraditionalForm]],
  FormatType->"TraditionalForm"]
}], "Text",
 CellChangeTimes->{{3.624346686226688*^9, 3.624346720259286*^9}, {
  3.624346845152274*^9, 3.624346845824581*^9}}],

Cell[BoxData[
 RowBox[{"Take", "[", 
  RowBox[{"data", ",", "5"}], "]"}]], "Input",
 CellChangeTimes->{{3.6076172530716667`*^9, 3.607617266003489*^9}}],

Cell[BoxData[
 RowBox[{"fit", "=", 
  RowBox[{"NonlinearModelFit", "[", 
   RowBox[{"data", ",", 
    RowBox[{"a", " ", 
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"\[Sigma]", ",", "\[Rho]"}], "]"}], "[", 
      RowBox[{"x", ",", "y"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "\[Sigma]", ",", "\[Rho]"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[{
 RowBox[{"fit", "[", "\"\<ParameterTable\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fit", "[", "\"\<BestFit\>\"", "]"}], "//", 
  "TraditionalForm"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot3D", "[", 
    RowBox[{
     RowBox[{"fit", "[", 
      RowBox[{"x", ",", "y"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "None"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Graphics3D", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Medium", "]"}], ",", "Red", ",", 
      RowBox[{"Point", "[", "data", "]"}]}], "}"}], "]"}]}], 
  "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.6243467723757257`*^9, 3.6243467844625587`*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Numerikus", "Subsection",
 CellChangeTimes->{{3.607619048825162*^9, 3.607619049981352*^9}}],

Cell[TextData[{
 "Az ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["e", "x"], "=", 
    RowBox[{"y", "-", 
     RowBox[{"\[Mu]", " ", "x"}]}]}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " egyenlet megold\[AAcute]sa f\[UDoubleDot]gg a ",
 Cell[BoxData[
  FormBox["\[Mu]", TraditionalForm]],
  FormatType->"TraditionalForm"],
 " param\[EAcute]tert\[ODoubleAcute]l. Jel\[ODoubleDot]lje  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["F", "\[Mu]"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " azt a f\[UDoubleDot]ggv\[EAcute]nyt, ami az ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "=", 
    RowBox[{
     SubscriptBox["F", "\[Mu]"], "(", "y", ")"}]}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " helyettes\[IAcute]t\[EAcute]ssel kiel\[EAcute]g\[IAcute]ti az egyenletet. \
P\[EAcute]ld\[AAcute]ul a ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Mu]", "=", "1"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 "  eset\[EAcute]n az ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["F", "1"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " az a f\[UDoubleDot]ggv\[EAcute]ny, amely adott ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]],
  FormatType->"TraditionalForm"],
 " sz\[AAcute]mra megadja az egyenlet megold\[AAcute]s\[AAcute]t, \
p\[EAcute]ld\[AAcute]ul ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", "=", "2"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " eset\[EAcute]n ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["F", "1"], "(", "2", ")"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " az ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["e", "x"], "=", 
    RowBox[{"2", "-", "x"}]}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " egyenlet megold\[AAcute]s\[AAcute]t adja."
}], "Text",
 CellChangeTimes->{{3.624346872416493*^9, 3.624346872599126*^9}, {
  3.624346978324945*^9, 3.624347076176237*^9}, {3.624348975265867*^9, 
  3.624349005608912*^9}, {3.6243490389141483`*^9, 3.624349327042314*^9}}],

Cell[BoxData[{
 RowBox[{"Clear", "[", "F", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"F", "[", 
   RowBox[{
    RowBox[{"\[Mu]_", "?", "NumericQ"}], ",", 
    RowBox[{"y_", "?", "NumericQ"}]}], "]"}], ":=", 
  RowBox[{"x", "/.", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Exp", "[", "x", "]"}], "\[Equal]", 
      RowBox[{"y", " ", "-", 
       RowBox[{"\[Mu]", " ", "x"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0.1"}], "}"}]}], "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.607662547788971*^9, 3.607662663037771*^9}, {
  3.607662810777994*^9, 3.607662880760051*^9}, {3.607663086933242*^9, 
  3.607663103558416*^9}, {3.607663219417698*^9, 3.6076632194982443`*^9}, {
  3.607663426300065*^9, 3.6076634315545*^9}, {3.607663490683222*^9, 
  3.6076635031284447`*^9}, {3.607663625415606*^9, 3.607663625953518*^9}, {
  3.60766366563608*^9, 3.607663679919592*^9}, {3.607663748127222*^9, 
  3.607663748280595*^9}, {3.607663814940648*^9, 3.60766382003507*^9}, {
  3.624346891850967*^9, 3.624346893770051*^9}, {3.6243471075144053`*^9, 
  3.624347158265271*^9}, {3.6243493448122997`*^9, 3.6243493962024107`*^9}, {
  3.62434964274233*^9, 3.6243496447832413`*^9}, {3.62434970952983*^9, 
  3.624349711557846*^9}}],

Cell[BoxData[
 RowBox[{"F", "[", 
  RowBox[{"1", ",", "2"}], "]"}]], "Input",
 CellChangeTimes->{{3.624347146628639*^9, 3.6243471495667877`*^9}, 
   3.624347193881549*^9, {3.624349403795561*^9, 3.624349408834188*^9}}],

Cell[TextData[{
 "A ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Mu]", "=", "1"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " param\[EAcute]ter eset\[EAcute]n \[IAcute]gy n\[EAcute]znek ki a megold\
\[AAcute]sok az ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]],
  FormatType->"TraditionalForm"],
 " f\[UDoubleDot]ggv\[EAcute]ny\[EAcute]ben:"
}], "Text",
 CellChangeTimes->{{3.62434949452075*^9, 3.6243495480821333`*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Exp", "[", "x", "]"}], ",", 
       RowBox[{
        RowBox[{"-", "x"}], "+", "y"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "2"}], ",", "8"}], "}"}]}], ",", 
     StyleBox[
      RowBox[{"Epilog", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Red", ",", 
         RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"F", "[", 
             RowBox[{"1", ",", "y"}], "]"}], ",", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"F", "[", 
               RowBox[{"1", ",", "y"}], "]"}]}], "+", "y"}]}], "}"}], "]"}]}],
         "}"}]}],
      Background->RGBColor[1, 1, 0]]}], 
    StyleBox["]",
     Background->RGBColor[1, 1, 0]]}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "2"}], ",", "6"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6243468967958717`*^9, 3.6243469526816072`*^9}, {
  3.624347198663087*^9, 3.624347268509099*^9}, {3.6243494500332813`*^9, 
  3.624349479060191*^9}}],

Cell[TextData[{
 "Teh\[AAcute]t most  nincs k\[EAcute]plet az illesztend\[ODoubleAcute] f\
\[UDoubleDot]ggv\[EAcute]nyre, csak egy numerikusan \
ki\[EAcute]rt\[EAcute]kelhet\[ODoubleAcute] lek\[EAcute]pez\[EAcute]s ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["F", "\[Mu]"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 "."
}], "Text",
 CellChangeTimes->{{3.624347363238101*^9, 3.624347390526524*^9}, {
  3.624348731654443*^9, 3.624348759125502*^9}, {3.6243495719145937`*^9, 
  3.624349578195862*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"F", "[", 
      RowBox[{"\[Mu]", ",", "y"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "2"}], ",", "6"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "2"}], "}"}]}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"y", ",", 
        RowBox[{
         SubscriptBox["F", "\[Mu]"], "[", "y", "]"}]}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Mu]", ",", "1"}], "}"}], ",", "0.2", ",", "3"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.624348784895536*^9, 3.624348792197817*^9}, {
  3.624349563642622*^9, 3.624349568777639*^9}, {3.624349825875969*^9, 
  3.624349947453257*^9}}],

Cell["Adatok:", "Text",
 CellChangeTimes->{{3.624350201873208*^9, 3.624350203430397*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Array", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"#", ",", 
        RowBox[{
         RowBox[{"F", "[", 
          RowBox[{"2.3", ",", "#"}], "]"}], "+", 
         RowBox[{"RandomVariate", "[", 
          RowBox[{"NormalDistribution", "[", 
           RowBox[{"0", ",", "0.1"}], "]"}], "]"}]}]}], "}"}], "&"}], ",", 
     "20", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2."}], ",", "6."}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.624347329585136*^9, 3.624347344541278*^9}, {
  3.624349598764681*^9, 3.624349607972332*^9}, {3.624349730832047*^9, 
  3.62434974715252*^9}, {3.624349781242877*^9, 3.624349787331923*^9}, {
  3.624350012290352*^9, 3.6243500235883636`*^9}, {3.6243500680693197`*^9, 
  3.624350073021707*^9}}],

Cell["Illeszt\[EAcute]s:", "Text",
 CellChangeTimes->{{3.624350206201148*^9, 3.6243502076151257`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"fit", "=", 
   RowBox[{"NonlinearModelFit", "[", 
    RowBox[{"data", ",", 
     RowBox[{"F", "[", 
      RowBox[{"\[Mu]", ",", "y"}], "]"}], ",", 
     RowBox[{"{", "\[Mu]", "}"}], ",", 
     RowBox[{"{", "y", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "[", "\"\<BestFit\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "[", "\"\<ParameterTable\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"fit", "[", "y", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "2"}], ",", "6"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "3"}], ",", "2"}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Medium", "]"}], ",", "Red", ",", 
      RowBox[{"Point", "[", "data", "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.6076635695511637`*^9, 3.6076635832513933`*^9}, {
   3.607663833887232*^9, 3.607663834417203*^9}, {3.607663939433247*^9, 
   3.607664143645912*^9}, 3.624271179069921*^9, {3.6243488277151318`*^9, 
   3.624348831155081*^9}, {3.624349611766465*^9, 3.6243496158481197`*^9}, {
   3.624349767043386*^9, 3.6243498016333942`*^9}, {3.624349998111787*^9, 
   3.62434999994106*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Kiterjeszt\[EAcute]s", "Section",
 CellChangeTimes->{{3.607670723503384*^9, 3.607670725588379*^9}}],

Cell[TextData[{
 "Az ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", ":", "\[DoubleStruckCapitalR]"}], "\[Rule]", 
    SuperscriptBox["\[DoubleStruckCapitalR]", "n"]}], TraditionalForm]]],
 " t\[IAcute]pus\[UAcute] f\[UDoubleDot]ggv\[EAcute]nyre fogjuk kiterjeszteni \
a param\[EAcute]terilleszt\[EAcute]st \[UAcute]gy, hogy az ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "t", ")"}], "=", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SubscriptBox["f", "1"], "(", "t", ")"}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["f", "2"], "(", "t", ")"}], "\[Ellipsis]"}], ",", 
      RowBox[{
       SubscriptBox["f", "n"], "(", "t", ")"}]}], ")"}]}], 
   TraditionalForm]]],
 " f\[UDoubleDot]ggv\[EAcute]ny helyett az ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", ":", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "\[Ellipsis]", ",", "n"}], "}"}], 
      "\[Cross]", "\[DoubleStruckCapitalR]"}]}], "\[Rule]", 
    "\[DoubleStruckCapitalR]"}], TraditionalForm]]],
 " t\[IAcute]pus\[UAcute] f\[UDoubleDot]ggv\[EAcute]nyt \
illesztj\[UDoubleDot]k, ahol ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", 
     RowBox[{"n", ",", "t"}], ")"}], "=", 
    RowBox[{
     RowBox[{
      SubscriptBox["f", "n"], "(", "t", ")"}], "."}]}], TraditionalForm]]],
 " Ehhez az eredeti ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["t", "i"], ",", 
      SubscriptBox["y", 
       RowBox[{"1", ",", "i"}]], ",", 
      SubscriptBox["y", 
       RowBox[{"2", ",", "i"}]], ",", "\[Ellipsis]", ",", 
      SubscriptBox["y", 
       RowBox[{"n", ",", "i"}]]}], ")"}], ","}], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"i", "=", "1"}], ",", "2", ",", "\[Ellipsis]", ",", "N"}], 
   TraditionalForm]]],
 " szerkezet\[UDoubleAcute] adathalmazt \[AAcute]t kell \
transzform\[AAcute]lnunk egy ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"k", ",", 
      SubscriptBox["t", "i"], ",", 
      SubscriptBox["y", 
       RowBox[{"k", ",", "i"}]]}], ")"}], ","}], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"k", "=", "1"}], ",", "2", ",", "\[Ellipsis]", ",", "n"}], 
   TraditionalForm]]],
 "\nszerkezet\[UDoubleAcute] adathalmazba (ami az ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " f\[UDoubleDot]ggv\[EAcute]nyhez illeszkedik). \[CapitalIAcute]gy teh\
\[AAcute]t a"
}], "Text",
 CellChangeTimes->{{3.607754296068307*^9, 3.607754843992569*^9}, {
  3.607755005462574*^9, 3.6077550138110323`*^9}, {3.607755151240965*^9, 
  3.607755151345748*^9}, {3.607759018306364*^9, 3.607759038524963*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    UnderoverscriptBox["\[Sum]", 
     RowBox[{"i", "=", "1"}], "N"], 
    RowBox[{"||", 
     RowBox[{
      RowBox[{"f", "(", 
       SubscriptBox["t", "i"], ")"}], "-", 
      SubscriptBox["y", "i"]}], 
     SuperscriptBox["||", "2"]}]}], "\[Rule]", "min"}], 
  TraditionalForm]], "DisplayFormula",
 CellChangeTimes->{{3.6077548507574053`*^9, 3.607754852718692*^9}, {
  3.607754892558329*^9, 3.607754983804977*^9}, {3.607755054925611*^9, 
  3.60775511045452*^9}}],

Cell["feladat helyett a", "Text",
 CellChangeTimes->{{3.6077551365054913`*^9, 3.607755148884241*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    UnderoverscriptBox["\[Sum]", 
     RowBox[{"k", "=", "1"}], "n"], 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"i", "=", "1"}], "N"], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"F", "(", 
         RowBox[{"k", ",", 
          SubscriptBox["t", "i"]}], ")"}], "-", 
        SubscriptBox["y", 
         RowBox[{"k", ",", "i"}]]}], ")"}], "2"]}]}], "\[Rule]", "min"}], 
  TraditionalForm]], "DisplayFormula",
 CellChangeTimes->{{3.6077548507574053`*^9, 3.607754852718692*^9}, {
  3.607754892558329*^9, 3.607754983804977*^9}}],

Cell["feladatot oldjuk meg.", "Text",
 CellChangeTimes->{{3.6077551540774307`*^9, 3.607755156222945*^9}}],

Cell[BoxData[{
 RowBox[{"Clear", "[", 
  RowBox[{"makeIndexedModel", ",", "indexedModel"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"makeIndexedModel", "[", "model_", "]"}], ":=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"indexedModel", "[", "params__", "]"}], "[", 
     RowBox[{
      RowBox[{"n_", "?", "NumericQ"}], ",", "t_"}], "]"}], ":=", 
    RowBox[{"Part", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"model", "[", "params", "]"}], "[", "t", "]"}], ",", "n"}], 
     "]"}]}], ")"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"indexedData", "[", 
   RowBox[{"data_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{"Function", "[", 
       RowBox[{
        RowBox[{"{", "m", "}"}], ",", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Flatten", "@", 
            RowBox[{"{", 
             RowBox[{"m", ",", 
              RowBox[{"#", "\[LeftDoubleBracket]", 
               RowBox[{"{", 
                RowBox[{"1", ",", 
                 RowBox[{"m", "+", "1"}]}], "}"}], 
               "\[RightDoubleBracket]"}]}], "}"}]}], "&"}], ",", "data"}], 
         "]"}]}], "]"}], ",", 
      RowBox[{"Range", "[", "n", "]"}]}], "]"}], ",", "1"}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.60775525410201*^9, 3.607755254261429*^9}, {
   3.6077583934436083`*^9, 3.6077584044062223`*^9}, 3.607758518789392*^9}],

Cell[CellGroupData[{

Cell["Egy egyszer\[UDoubleAcute] p\[EAcute]lda", "Subsection",
 CellChangeTimes->{{3.607755239000537*^9, 3.607755242303697*^9}}],

Cell["\<\
Ez a p\[EAcute]lda t\[UAcute]l egyszer\[UDoubleAcute] olyan \
\[EAcute]rtelemben, hogy a k\[EAcute]t f\[UDoubleDot]ggv\[EAcute]ny egym\
\[AAcute]st\[OAcute]l f\[UDoubleDot]ggetlen\[UDoubleDot]l is illeszthet\
\[ODoubleAcute] lenne, hiszen nincsenek k\[ODoubleDot]z\[ODoubleDot]s param\
\[EAcute]tereik. \[CapitalAAcute]ltal\[AAcute]ban nem ez a helyzet.\
\>", "Text",
 CellChangeTimes->{{3.6243509842287903`*^9, 3.6243510333671618`*^9}, {
  3.624351126518958*^9, 3.624351140402102*^9}}],

Cell[BoxData[{
 RowBox[{"Clear", "[", "f", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{
     "a_", ",", "b_", ",", "\[Lambda]_", ",", "\[Phi]_", ",", "\[Psi]_"}], 
     "]"}], "[", "t_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", " ", 
      RowBox[{"Exp", "[", 
       RowBox[{"\[Lambda]", " ", "t"}], "]"}], 
      RowBox[{"Cos", "[", 
       RowBox[{"t", "-", "\[Phi]"}], "]"}]}], ",", 
     RowBox[{"b", " ", 
      RowBox[{"Exp", "[", 
       RowBox[{"\[Lambda]", " ", "t"}], "]"}], " ", 
      RowBox[{"Sin", "[", 
       RowBox[{"t", "-", "\[Psi]"}], "]"}]}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.607670740092938*^9, 3.6076707657072268`*^9}, {
   3.60767164424417*^9, 3.607671651596101*^9}, {3.60767214715658*^9, 
   3.607672170764024*^9}, {3.6243506111843033`*^9, 3.6243506342961273`*^9}, {
   3.6243511566208057`*^9, 3.624351192485914*^9}, {3.624351230302105*^9, 
   3.624351271536598*^9}, 3.6243513639950037`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Array", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Flatten", "@", 
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{
          RowBox[{
           RowBox[{"f", "[", 
            RowBox[{"2", ",", "3", ",", 
             RowBox[{"-", "0.2"}], ",", "0", ",", "0.5"}], "]"}], "[", "#", 
           "]"}], "+", 
          RowBox[{"RandomVariate", "[", 
           RowBox[{"NormalDistribution", "[", 
            RowBox[{"0", ",", "0.1"}], "]"}], "]"}]}]}], "}"}]}], "&"}], ",", 
     "20", ",", 
     RowBox[{"{", 
      RowBox[{"0.", ",", "20"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListLinePlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"data", "\[LeftDoubleBracket]", 
      RowBox[{";;", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2"}], "}"}]}], "\[RightDoubleBracket]"}], ",", 
     RowBox[{"data", "\[LeftDoubleBracket]", 
      RowBox[{";;", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "3"}], "}"}]}], "\[RightDoubleBracket]"}]}], "}"}], 
   ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"InterpolationOrder", "\[Rule]", "1"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", "Red"}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Large", "]"}], ",", 
      RowBox[{"Darker", "@", "Blue"}], ",", 
      RowBox[{"Point", "[", 
       RowBox[{"data", "\[LeftDoubleBracket]", 
        RowBox[{";;", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "2"}], "}"}]}], "\[RightDoubleBracket]"}], "]"}], 
      ",", "Red", ",", 
      RowBox[{"Point", "[", 
       RowBox[{"data", "\[LeftDoubleBracket]", 
        RowBox[{";;", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "3"}], "}"}]}], "\[RightDoubleBracket]"}], 
       "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.607670813111116*^9, 3.6076709039691668`*^9}, {
   3.607670936296884*^9, 3.607671105391348*^9}, 3.607671674012589*^9, {
   3.607755281164556*^9, 3.607755281615481*^9}, {3.624350637926517*^9, 
   3.624350669870739*^9}, {3.6243511986999607`*^9, 3.6243512240430117`*^9}, {
   3.6243512623242826`*^9, 3.6243514049645557`*^9}}],

Cell[TextData[{
 "Eredeti adathalmaz szerkezete: ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["t", "i"], ",", 
     RowBox[{
      SubscriptBox["x", "1"], "(", 
      SubscriptBox["t", "i"], ")"}], ",", 
     RowBox[{
      SubscriptBox["x", "2"], "(", 
      SubscriptBox["t", "i"], ")"}]}], ")"}], TraditionalForm]],
  FormatType->"TraditionalForm"]
}], "Text",
 CellChangeTimes->{{3.624350228601713*^9, 3.624350257265308*^9}, {
  3.624350310610383*^9, 3.624350315059944*^9}}],

Cell[BoxData[
 RowBox[{"data", "\[LeftDoubleBracket]", 
  RowBox[{"1", ";;", "3"}], "\[RightDoubleBracket]"}]], "Input",
 CellChangeTimes->{{3.624271975429761*^9, 3.624271976087274*^9}, 
   3.624350458681501*^9}],

Cell[TextData[{
 "Az illesztend\[ODoubleAcute] f\[UDoubleDot]ggv\[EAcute]ny \[UAcute]j \
alakja: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", 
     RowBox[{"k", ",", "t"}], ")"}], "=", 
    RowBox[{
     SubscriptBox["x", "k"], "(", "t", ")"}]}], TraditionalForm]],
  FormatType->"TraditionalForm"]
}], "Text",
 CellChangeTimes->{{3.624350278970619*^9, 3.624350323652204*^9}}],

Cell[BoxData[
 RowBox[{"makeIndexedModel", "[", "f", "]"}]], "Input",
 CellChangeTimes->{{3.607754004375979*^9, 3.607754034760058*^9}}],

Cell[TextData[{
 "Ellen\[ODoubleAcute]rizz\[UDoubleDot]k, hogy ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", 
     RowBox[{"1", ",", "t"}], ")"}], "=", 
    RowBox[{
     SubscriptBox["x", "1"], "(", "t", ")"}]}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " \[EAcute]s ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", 
     RowBox[{"2", ",", "t"}], ")"}], "=", 
    RowBox[{
     SubscriptBox["x", "2"], "(", "t", ")"}]}], TraditionalForm]],
  FormatType->"TraditionalForm"]
}], "Text",
 CellChangeTimes->{{3.624350337661427*^9, 3.624350363302122*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"indexedModel", "[", 
   RowBox[{"a", ",", "b", ",", "\[Lambda]", ",", "\[Phi]", ",", "\[Psi]"}], 
   "]"}], "[", 
  RowBox[{"1", ",", "t"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"indexedModel", "[", 
   RowBox[{"a", ",", "b", ",", "\[Lambda]", ",", "\[Phi]", ",", "\[Psi]"}], 
   "]"}], "[", 
  RowBox[{"2", ",", "t"}], "]"}]}], "Input",
 CellChangeTimes->{{3.6077540622326527`*^9, 3.607754096507164*^9}, 
   3.607754148511299*^9, {3.607755297810586*^9, 3.6077552993949423`*^9}, {
   3.607758433125944*^9, 3.607758439700924*^9}, {3.6077585255721607`*^9, 
   3.6077585299423227`*^9}, {3.624350686154114*^9, 3.624350696577833*^9}, {
   3.624351420711032*^9, 3.624351422852273*^9}}],

Cell[TextData[{
 "Az \[UAcute]j adatszerkezet, ami illeszkedik az ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]],
  FormatType->"TraditionalForm"],
 " f\[UDoubleDot]ggv\[EAcute]nyhez: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"k", ",", 
      SubscriptBox["t", "i"], ",", 
      RowBox[{
       SubscriptBox["x", "k"], "(", 
       SubscriptBox["t", "i"], ")"}]}], ")"}], "."}], TraditionalForm]],
  FormatType->"TraditionalForm"]
}], "Text",
 CellChangeTimes->{{3.624350368782176*^9, 3.6243504168170137`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"indexedData", "[", 
   RowBox[{"data", ",", "2"}], "]"}], "\[LeftDoubleBracket]", 
  RowBox[{"1", ";;", "3"}], "\[RightDoubleBracket]"}]], "Input",
 CellChangeTimes->{{3.607671330455844*^9, 3.607671332775114*^9}, {
  3.607671561590088*^9, 3.6076715892387867`*^9}, {3.624350431721551*^9, 
  3.624350453297632*^9}}],

Cell["Most m\[AAcute]r mehet az illeszt\[EAcute]s:", "Text",
 CellChangeTimes->{{3.624350474297751*^9, 3.6243504791705217`*^9}}],

Cell[BoxData[
 RowBox[{"fit", "=", 
  RowBox[{"NonlinearModelFit", "[", 
   RowBox[{
    RowBox[{"indexedData", "[", 
     RowBox[{"data", ",", "2"}], "]"}], ",", 
    RowBox[{
     RowBox[{"indexedModel", "[", 
      RowBox[{"a", ",", "b", ",", "\[Lambda]", ",", "\[Phi]", ",", "\[Psi]"}],
       "]"}], "[", 
     RowBox[{"n", ",", "t"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "\[Lambda]", ",", "\[Phi]", ",", "\[Psi]"}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "t"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.607671196013023*^9, 3.607671197968114*^9}, {
   3.607671606510112*^9, 3.607671631336402*^9}, {3.607671719602729*^9, 
   3.607671748746559*^9}, 3.607754206935273*^9, {3.624350704572603*^9, 
   3.6243507082294207`*^9}, {3.624351431053952*^9, 3.624351433904001*^9}}],

Cell[BoxData[{
 RowBox[{"fit", "[", "\"\<ParameterTable\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "[", 
  RowBox[{"1", ",", "t"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "[", 
  RowBox[{"2", ",", "t"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"fit", "[", 
      RowBox[{"1", ",", "t"}], "]"}], ",", 
     RowBox[{"fit", "[", 
      RowBox[{"2", ",", "t"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "22"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", "Red"}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "2."}], ",", "2."}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Large", "]"}], ",", 
      RowBox[{"Darker", "@", "Blue"}], ",", 
      RowBox[{"Point", "[", 
       RowBox[{"data", "\[LeftDoubleBracket]", 
        RowBox[{";;", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "2"}], "}"}]}], "\[RightDoubleBracket]"}], "]"}], 
      ",", "Red", ",", 
      RowBox[{"Point", "[", 
       RowBox[{"data", "\[LeftDoubleBracket]", 
        RowBox[{";;", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "3"}], "}"}]}], "\[RightDoubleBracket]"}], 
       "]"}]}], "}"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"fit", "[", 
      RowBox[{"1", ",", "t"}], "]"}], ",", 
     RowBox[{"fit", "[", 
      RowBox[{"2", ",", "t"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "22"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "2"}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Large", "]"}], ",", 
      RowBox[{"Darker", "@", "Blue"}], ",", 
      RowBox[{"Point", "[", 
       RowBox[{"data", "\[LeftDoubleBracket]", 
        RowBox[{";;", ",", 
         RowBox[{"{", 
          RowBox[{"2", ",", "3"}], "}"}]}], "\[RightDoubleBracket]"}], 
       "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.607671738703887*^9, 3.607671980180141*^9}, {
  3.6243504848283463`*^9, 3.6243505689245*^9}, {3.624350851264379*^9, 
  3.62435085971091*^9}, {3.62435145174271*^9, 3.624351483934786*^9}, {
  3.624351514621297*^9, 3.624351527086355*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Differenci\[AAcute]legyenletek", "Section",
 CellChangeTimes->{{3.607619007469593*^9, 3.6076190105465937`*^9}}],

Cell[CellGroupData[{

Cell["Leng\[ODoubleAcute]ajt\[OAcute] dinamika", "Subsection",
 CellChangeTimes->{{3.607668176059898*^9, 3.607668188773292*^9}, {
  3.607670500998089*^9, 3.6076705189557047`*^9}, {3.6076707075023117`*^9, 
  3.60767071104495*^9}, {3.6076720786396227`*^9, 3.607672089894643*^9}, {
  3.624350886976861*^9, 3.6243508890387383`*^9}}],

Cell["A modell (line\[AAcute]ris csillap\[IAcute]tott oszcill\[AAcute]tor)", \
"Text",
 CellChangeTimes->{{3.624351783896661*^9, 3.6243518073359632`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"door", "=", 
   RowBox[{"ParametricNDSolveValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"\[Theta]", "''"}], "[", "t", "]"}], "+", 
         RowBox[{"2", "\[Xi]", " ", "\[Omega]", " ", 
          RowBox[{
           RowBox[{"\[Theta]", "'"}], "[", "t", "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["\[Omega]", "2"], 
          RowBox[{"\[Theta]", "[", "t", "]"}]}]}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"\[Theta]", "[", "0", "]"}], "\[Equal]", "\[Theta]0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Theta]", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], 
      "}"}], ",", "\[Theta]", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "100"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Theta]0", ",", "\[Xi]", ",", "\[Omega]"}], "}"}]}], "]"}]}], 
  ";"}]], "Input"],

Cell["Egy kis anim\[AAcute]ci\[OAcute]", "Text",
 CellChangeTimes->{{3.624351833698057*^9, 3.6243518364653673`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"showDoor", "[", "\[Theta]_", "]"}], ":=", 
  RowBox[{"Graphics", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"Dashed", ",", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
      RowBox[{"Dashing", "[", 
       RowBox[{"{", "}"}], "]"}], ",", 
      RowBox[{"Disk", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}], ",", "0.05"}], "]"}], ",", 
      RowBox[{"Thickness", "[", "0.02", "]"}], ",", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
           RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}]}], "}"}], "]"}]}], 
     "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "1"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"showDoor", "[", 
    RowBox[{
     RowBox[{"door", "[", 
      RowBox[{
       RowBox[{"\[Pi]", "/", "2"}], ",", "0.2", ",", "2.8"}], "]"}], "[", "t",
      "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "80"}], "}"}], ",", 
   RowBox[{"AnimationRate", "\[Rule]", "1"}], ",", 
   RowBox[{"AnimationRunning", "\[Rule]", "False"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.607664752322736*^9, 3.6076649100758142`*^9}, {
   3.607664940956352*^9, 3.607665065157488*^9}, {3.6076705881427183`*^9, 
   3.607670593976166*^9}, 3.6243517811591873`*^9, {3.624351825343135*^9, 
   3.624351852230033*^9}}],

Cell["\<\
Azt m\[EAcute]rj\[UDoubleDot]k, hogy az ajt\[OAcute] mikor van sz\[EAcute]ls\
\[ODoubleAcute] (pozit\[IAcute]v sz\[ODoubleDot]g\[UDoubleAcute]) helyzetben, \
illetve ennek id\[ODoubleAcute]pontj\[AAcute]t. Az els\[ODoubleAcute] n\
\[EAcute]gy ilyen pontot m\[EAcute]rj\[UDoubleDot]k meg.\
\>", "Text",
 CellChangeTimes->{{3.624351560402866*^9, 3.624351668988533*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"doorMeasure", "=", 
   RowBox[{"ParametricNDSolveValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"\[Theta]", "''"}], "[", "t", "]"}], "+", 
         RowBox[{"2", "\[Xi]", " ", "\[Omega]", " ", 
          RowBox[{
           RowBox[{"\[Theta]", "'"}], "[", "t", "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["\[Omega]", "2"], 
          RowBox[{"\[Theta]", "[", "t", "]"}]}]}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"s", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"\[Theta]", "[", "0", "]"}], "\[Equal]", "\[Theta]0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Theta]", "'"}], "[", "0", "]"}], "\[Equal]", "0"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"WhenEvent", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"\[Theta]", "'"}], "[", "t", "]"}], "\[Equal]", "0"}], "&&", 
          RowBox[{
           RowBox[{"\[Theta]", "[", "t", "]"}], ">", "0"}]}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"s", "[", "t", "]"}], "\[Rule]", 
            RowBox[{
             RowBox[{"s", "[", "t", "]"}], "+", "1"}]}], ",", 
           RowBox[{"Sow", "[", 
            RowBox[{"{", 
             RowBox[{"t", ",", 
              RowBox[{"\[Theta]", "[", "t", "]"}]}], "}"}], "]"}], ",", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"s", "[", "t", "]"}], "\[Equal]", "4"}], ",", 
             "\"\<StopIntegration\>\"", ",", 
             RowBox[{"{", "}"}]}], "]"}]}], "}"}]}], "]"}]}], "}"}], ",", 
     "\[Theta]", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "100"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Theta]0", ",", "\[Xi]", ",", "\[Omega]"}], "}"}], ",", 
     RowBox[{"DiscreteVariables", "\[Rule]", 
      RowBox[{"{", "s", "}"}]}], ",", 
     RowBox[{"Method", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<ParametricCaching\>\"", "\[Rule]", "None"}], "}"}]}]}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6076651894442177`*^9, 3.6076652589142313`*^9}, {
   3.607665358486397*^9, 3.6076654403855886`*^9}, {3.607665473150433*^9, 
   3.607665588033856*^9}, {3.607666016398199*^9, 3.607666022865697*^9}, {
   3.607670566248468*^9, 3.607670568041841*^9}, 3.6076706283961973`*^9, 
   3.624272877498877*^9, 3.624273059997181*^9}],

Cell["Ellen\[ODoubleAcute]rz\[EAcute]s:", "Text",
 CellChangeTimes->{{3.624351885042581*^9, 3.624351894588965*^9}}],

Cell[BoxData[
 RowBox[{"Reap", "@", 
  RowBox[{"doorMeasure", "[", 
   RowBox[{
    RowBox[{"\[Pi]", "/", "2"}], ",", "0.3", ",", "1"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.624272805555149*^9, 3.624272841640215*^9}, {
  3.624273009894581*^9, 3.624273035614707*^9}}],

Cell["Defini\[AAcute]lunk egy f\[UDoubleDot]ggv\[EAcute]nyt, ami kinyeri a m\
\[EAcute]r\[EAcute]si adatokat", "Text",
 CellChangeTimes->{{3.624351900339904*^9, 3.624351909365896*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"doorData", "[", 
   RowBox[{"\[Theta]_", ",", "\[Xi]_", ",", "\[Omega]_"}], "]"}], ":=", 
  RowBox[{"Last", "@", 
   RowBox[{"Last", "@", 
    RowBox[{"Reap", "@", 
     RowBox[{"doorMeasure", "[", 
      RowBox[{"\[Theta]", ",", "\[Xi]", ",", "\[Omega]"}], 
      "]"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.607665266592443*^9, 3.607665283822052*^9}, {
  3.6076656012730017`*^9, 3.6076656779287786`*^9}, {3.607666033735821*^9, 
  3.607666049197009*^9}, {3.607670575568389*^9, 3.607670576748361*^9}}],

Cell["Ezt felhaszn\[AAcute]lhatjuk a m\[EAcute]r\[EAcute]si adatok \
\[AAcute]br\[AAcute]zol\[AAcute]s\[AAcute]ra is", "Text",
 CellChangeTimes->{{3.624351936886443*^9, 3.624351946805476*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"door", "[", 
       RowBox[{
        RowBox[{"\[Pi]", "/", "2"}], ",", "\[Xi]", ",", "\[Omega]"}], "]"}], 
      "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "80"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{
       RowBox[{"\[Pi]", "/", "2"}], 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1"}], "}"}]}]}], ",", 
     RowBox[{"Epilog", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Large", "]"}], ",", "Red", ",", 
        RowBox[{"Point", "[", 
         RowBox[{"doorData", "[", 
          RowBox[{
           RowBox[{"\[Pi]", "/", "2"}], ",", "\[Xi]", ",", "\[Omega]"}], 
          "]"}], "]"}]}], "}"}]}]}], "]"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Xi]", ",", "0.2", ",", "\"\<Damping\>\""}], "}"}], ",", 
     "0.01", ",", "0.8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Omega]", ",", "0.4", ",", "\"\<Frequency\>\""}], "}"}], ",", 
     "0.2", ",", "1.9"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.607665679766274*^9, 3.6076657396388273`*^9}, {
   3.6076657968540154`*^9, 3.607665982235157*^9}, {3.6076660640797853`*^9, 
   3.6076661715280313`*^9}, 3.6076680685115757`*^9, 3.607670634199705*^9}],

Cell["Zajos m\[EAcute]r\[EAcute]si adatok (4 db):", "Text",
 CellChangeTimes->{{3.624351699950094*^9, 3.6243517107737103`*^9}, {
  3.624351958903281*^9, 3.624351961245825*^9}}],

Cell[BoxData[
 RowBox[{"data", "=", 
  RowBox[{
   RowBox[{"doorData", "[", 
    RowBox[{
     RowBox[{"\[Pi]", "/", "2"}], ",", "0.14", ",", "1.7"}], "]"}], "/.", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"t_", ",", "x_"}], "}"}], "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"t", ",", 
      RowBox[{"x", "+", 
       RowBox[{"0.1", 
        RowBox[{"RandomVariate", "[", 
         RowBox[{"NormalDistribution", "[", 
          RowBox[{"0", ",", "0.1"}], "]"}], "]"}]}]}]}], "}"}]}]}]}]], "Input",\

 CellChangeTimes->{{3.607666055576538*^9, 3.607666056016922*^9}, {
   3.607667067515245*^9, 3.607667068286537*^9}, {3.607667589168665*^9, 
   3.6076675927329597`*^9}, 3.607667659633333*^9, {3.607667843207039*^9, 
   3.607667900615641*^9}, {3.607667937879408*^9, 3.607667945184113*^9}, {
   3.6076680882681713`*^9, 3.607668089984179*^9}}],

Cell["\<\
Pr\[OAcute]b\[AAcute]ljuk meg el\[ODoubleAcute]bb k\[EAcute]zzel illetszteni \
a param\[EAcute]tereket, ez j\[OAcute] lesz becsl\[EAcute]snek.\
\>", "Text",
 CellChangeTimes->{{3.6243517176207333`*^9, 3.6243517325095863`*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"door", "[", 
       RowBox[{
        RowBox[{"\[Pi]", "/", "2"}], ",", "\[Xi]", ",", "\[Omega]"}], "]"}], 
      "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "30"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{
       RowBox[{"\[Pi]", "/", "2"}], 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1"}], "}"}]}]}], ",", 
     RowBox[{"Epilog", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Large", "]"}], ",", "Red", ",", 
        RowBox[{"Point", "[", "data", "]"}]}], "}"}]}]}], "]"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Xi]", ",", "0.2", ",", "\"\<Damping\>\""}], "}"}], ",", 
     "0.01", ",", "0.8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Omega]", ",", "0.4", ",", "\"\<Frequency\>\""}], "}"}], ",", 
     "0.2", ",", "1.8"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.607667761661714*^9, 3.607667789589974*^9}, 
   3.6076678195934477`*^9, {3.607667954838551*^9, 3.6076679577714853`*^9}, 
   3.607668111938649*^9}],

Cell["Illeszt\[EAcute]s", "Text",
 CellChangeTimes->{{3.6243519718058443`*^9, 3.624351973189952*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"fit", "=", 
   RowBox[{"NonlinearModelFit", "[", 
    RowBox[{"data", ",", 
     RowBox[{
      RowBox[{"door", "[", 
       RowBox[{
        RowBox[{"\[Pi]", "/", "2"}], ",", "\[Xi]", ",", "\[Omega]"}], "]"}], 
      "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[Xi]", ",", "0.13"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Omega]", ",", "1.7"}], "}"}]}], "}"}], ",", "t"}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "[", "\"\<ParameterTable\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"fit", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "30"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Large", "]"}], ",", "Red", ",", 
      RowBox[{"Point", "[", "data", "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.607666206275303*^9, 3.607666237552327*^9}, {
  3.607666288665626*^9, 3.607666290787257*^9}, {3.6076666351658373`*^9, 
  3.6076666412806673`*^9}, {3.6076667302251177`*^9, 3.607666739496625*^9}, {
  3.6076668014950314`*^9, 3.60766680352105*^9}, {3.60766721999373*^9, 
  3.607667314467991*^9}, {3.6076676205371437`*^9, 3.6076676241812143`*^9}, {
  3.607667665911215*^9, 3.607667728840931*^9}, {3.6076679789417763`*^9, 
  3.6076679999293127`*^9}, {3.6076681306752377`*^9, 3.607668132994293*^9}, {
  3.6243519794886436`*^9, 3.624351991389922*^9}}],

Cell["\<\
Az identifik\[AAcute]ci\[OAcute] ut\[AAcute]n pl. \[IAcute]gy \
haszn\[AAcute]lhatjuk a kapott param\[EAcute]tereket az anim\[AAcute]ci\
\[OAcute]hoz\
\>", "Text",
 CellChangeTimes->{{3.624352004790545*^9, 3.6243520303848753`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"paramRules", "=", 
   RowBox[{"MapThread", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"#1", "\[Rule]", 
        RowBox[{"First", "[", "#2", "]"}]}], ")"}], "&"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[Xi]", ",", "\[Omega]"}], "}"}], ",", 
       RowBox[{"fit", "[", "\"\<ParameterTableEntries\>\"", "]"}]}], "}"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"showDoor", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"door", "[", 
       RowBox[{
        RowBox[{"\[Pi]", "/", "2"}], ",", "\[Xi]", ",", "\[Omega]"}], "]"}], 
      "[", "t", "]"}], "/.", "paramRules"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "80"}], "}"}], ",", 
   RowBox[{"AnimationRate", "\[Rule]", "1"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.607667466633174*^9, 3.607667478909993*^9}, {
  3.607667557668243*^9, 3.607667568801021*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Ragadoz\[OAcute]\[Dash]zs\[AAcute]km\[AAcute]ny", "Subsection",
 CellChangeTimes->{{3.607670505461762*^9, 3.607670534147821*^9}, 
   3.607670709636899*^9, 3.607672108610814*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Import", "[", "\"\<predatorPreyData.dat\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Clear", "[", "PredatorPreyModel", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PredatorPreyModel", "=", 
   RowBox[{"ParametricNDSolveValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"x", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"x", "[", "t", "]"}], 
         RowBox[{"(", 
          RowBox[{"\[Alpha]", "-", 
           RowBox[{"\[Beta]", " ", 
            RowBox[{"y", "[", "t", "]"}]}]}], ")"}]}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"y", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"y", "[", "t", "]"}]}], 
         RowBox[{"(", 
          RowBox[{"\[Gamma]", "-", 
           RowBox[{"\[Delta]", " ", 
            RowBox[{"x", "[", "t", "]"}]}]}], ")"}]}]}], ",", 
       RowBox[{
        RowBox[{"x", "[", "0", "]"}], "\[Equal]", "x0"}], ",", 
       RowBox[{
        RowBox[{"y", "[", "0", "]"}], "\[Equal]", "y0"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"-", "50"}], ",", "100"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]", ",", "\[Beta]", ",", "\[Gamma]", ",", "\[Delta]", ",", "x0",
        ",", "y0"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.607755337746265*^9, 3.6077553553172483`*^9}, {
  3.607755390394907*^9, 3.607755430090654*^9}}],

Cell[BoxData[{
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"data", "\[LeftDoubleBracket]", 
      RowBox[{";;", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2"}], "}"}]}], "\[RightDoubleBracket]"}], ",", 
     RowBox[{"data", "\[LeftDoubleBracket]", 
      RowBox[{";;", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "3"}], "}"}]}], "\[RightDoubleBracket]"}]}], "}"}], 
   ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "Red", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Darker", "@", 
        RowBox[{"Darker", "@", "Green"}]}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<zs\[AAcute]km\[AAcute]ny\>\"", ",", "\"\<ragadoz\[OAcute]\>\""}], 
     "}"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Rest", "/@", "data"}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<zs\[AAcute]km\[AAcute]ny\>\"", ",", "\"\<ragadoz\[OAcute]\>\""}], 
     "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "2.5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "3.5"}], "}"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.606411884328767*^9, 3.606411972604891*^9}, {
  3.6064124943504877`*^9, 3.606412512256751*^9}, {3.606412866263331*^9, 
  3.6064128729896193`*^9}, {3.606413096054832*^9, 3.6064131033755417`*^9}, {
  3.606419356536392*^9, 3.606419361525119*^9}, {3.606452782219595*^9, 
  3.606452801799183*^9}, {3.607755364876752*^9, 3.6077553838007717`*^9}, {
  3.607755449838634*^9, 3.607755499805894*^9}}],

Cell[BoxData[{
 RowBox[{"Clear", "[", "model", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"model", "[", 
    RowBox[{
    "\[Alpha]_", ",", "\[Beta]_", ",", "\[Gamma]_", ",", "\[Delta]_", ",", 
     "x0_", ",", "y0_"}], "]"}], "[", "t_", "]"}], ":=", 
  RowBox[{"Through", "[", 
   RowBox[{
    RowBox[{"PredatorPreyModel", "[", 
     RowBox[{
     "\[Alpha]", ",", "\[Beta]", ",", "\[Gamma]", ",", "\[Delta]", ",", "x0", 
      ",", "y0"}], "]"}], "[", "t", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.607758545428439*^9, 3.6077585465275583`*^9}}],

Cell[BoxData[{
 RowBox[{"Clear", "[", 
  RowBox[{"makeIndexedModel", ",", "indexedModel", ",", "indexedData"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"makeIndexedModel", "[", "model_", "]"}], ":=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"indexedModel", "[", "params__", "]"}], "[", 
     RowBox[{
      RowBox[{"n_", "?", "NumericQ"}], ",", "t_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"Part", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"model", "[", "params", "]"}], "[", "t", "]"}], ",", "n"}], 
      "]"}], "/;", 
     RowBox[{"And", "@@", 
      RowBox[{"(", 
       RowBox[{"NumericQ", "/@", 
        RowBox[{"{", "params", "}"}]}], ")"}]}]}]}], 
   ")"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"indexedData", "[", 
   RowBox[{"data_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{"Function", "[", 
       RowBox[{
        RowBox[{"{", "m", "}"}], ",", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Flatten", "@", 
            RowBox[{"{", 
             RowBox[{"m", ",", 
              RowBox[{"#", "\[LeftDoubleBracket]", 
               RowBox[{"{", 
                RowBox[{"1", ",", 
                 RowBox[{"m", "+", "1"}]}], "}"}], 
               "\[RightDoubleBracket]"}]}], "}"}]}], "&"}], ",", "data"}], 
         "]"}]}], "]"}], ",", 
      RowBox[{"Range", "[", "n", "]"}]}], "]"}], ",", "1"}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.607756878174704*^9, 3.607756879606701*^9}, {
   3.607757084299636*^9, 3.60775708617802*^9}, {3.607757127880844*^9, 
   3.607757143722308*^9}, {3.6077572001984158`*^9, 3.607757202452619*^9}, {
   3.607757368745161*^9, 3.607757409141967*^9}, {3.6077574772963953`*^9, 
   3.6077574781118917`*^9}, {3.607757874369637*^9, 3.607757875847979*^9}, 
   3.607757910439905*^9, {3.607757998104611*^9, 3.607758001283547*^9}, {
   3.607758046144438*^9, 3.607758076479928*^9}, {3.6077581466812572`*^9, 
   3.607758155958552*^9}, {3.6077582240652246`*^9, 3.6077582621051817`*^9}, {
   3.607758318850439*^9, 3.6077583335171022`*^9}}],

Cell["M\[UDoubleAcute]k\[ODoubleDot]dik:", "Text",
 CellChangeTimes->{{3.607756818857271*^9, 3.607756824038004*^9}}],

Cell[BoxData[{
 RowBox[{"makeIndexedModel", "[", "model", "]"}], "\[IndentingNewLine]", 
 RowBox[{"?", "indexedModel"}]}], "Input",
 CellChangeTimes->{{3.607758339174568*^9, 3.607758355082053*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "@", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"indexedModel", "[", 
         RowBox[{
         "3.8", ",", "3.2", ",", "2.4", ",", "2.7", ",", "0.5", ",", "2.3"}], 
         "]"}], "[", 
        RowBox[{"#", ",", "t"}], "]"}], "&"}], "/@", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2"}], "}"}]}], ")"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.607756470623214*^9, 3.607756524175231*^9}, {
  3.607756568425947*^9, 3.607756688701221*^9}, {3.607756729299327*^9, 
  3.60775680725318*^9}, {3.607757391760054*^9, 3.607757391911109*^9}}],

Cell["\<\
A param\[EAcute]terek durva becsl\[EAcute]s\[EAcute]hez illeszthetj\
\[UDoubleDot]k g\[ODoubleDot]rb\[EAcute]ket a interakt\[IAcute]van.\
\>", "Text",
 CellChangeTimes->{{3.6077564156204557`*^9, 3.607756453724204*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"model", "[", 
        RowBox[{
        "\[Alpha]", ",", "\[Beta]", ",", "\[Gamma]", ",", "\[Delta]", ",", 
         "0.5", ",", "2.3"}], "]"}], "[", "t", "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "7"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "5"}], "}"}]}], ",", 
     RowBox[{"Epilog", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Medium", "]"}], ",", "Red", ",", 
        RowBox[{"Point", "[", 
         RowBox[{"data", "\[LeftDoubleBracket]", 
          RowBox[{";;", ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "2"}], "}"}]}], "\[RightDoubleBracket]"}], 
         "]"}], ",", 
        RowBox[{"Darker", "@", "Green"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"data", "\[LeftDoubleBracket]", 
          RowBox[{";;", ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "3"}], "}"}]}], "\[RightDoubleBracket]"}], 
         "]"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Red", ",", 
        RowBox[{"Darker", "@", 
         RowBox[{"Darker", "@", "Green"}]}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Zs\[AAcute]km\[AAcute]ny\>\"", ",", "\"\<Ragadoz\[OAcute]\>\""}], 
       "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]", ",", "3.8"}], "}"}], ",", "0.2", ",", "5"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Beta]", ",", "3.2"}], "}"}], ",", "0.2", ",", "5"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Gamma]", ",", "2.4"}], "}"}], ",", "0.2", ",", "5"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Delta]", ",", "2.7"}], "}"}], ",", "0.2", ",", "5"}], 
    "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.607755852779299*^9, 3.607756177138468*^9}, {
  3.607756225945346*^9, 3.6077562625027246`*^9}, {3.607756384752143*^9, 
  3.607756402998479*^9}, {3.6077565321880407`*^9, 3.607756562080077*^9}}],

Cell[BoxData[
 RowBox[{"fit", "=", 
  RowBox[{"NonlinearModelFit", "[", 
   RowBox[{
    RowBox[{"indexedData", "[", 
     RowBox[{"data", ",", "2"}], "]"}], ",", 
    RowBox[{
     RowBox[{"indexedModel", "[", 
      RowBox[{
      "\[Alpha]", ",", "\[Beta]", ",", "\[Gamma]", ",", "\[Delta]", ",", "x0",
        ",", "y0"}], "]"}], "[", 
     RowBox[{"k", ",", "t"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Alpha]", ",", "2.3"}], "}"}], ",", "\[Beta]", ",", 
      RowBox[{"{", 
       RowBox[{"\[Gamma]", ",", "2.2"}], "}"}], ",", "\[Delta]", ",", "x0", 
      ",", "y0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "t"}], "}"}], ",", 
    RowBox[{"PrecisionGoal", "\[Rule]", "4"}], ",", 
    RowBox[{"AccuracyGoal", "\[Rule]", "4"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6076738535677643`*^9, 3.607673854813335*^9}, {
  3.607756831168641*^9, 3.607756844453001*^9}, {3.607756912784185*^9, 
  3.607756914589533*^9}, {3.6077574312881117`*^9, 3.607757432446807*^9}}],

Cell[BoxData[{
 RowBox[{"fit", "[", "\"\<BestFitParameters\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "[", "\"\<ParameterTable\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"fit", "[", 
      RowBox[{"1", ",", "t"}], "]"}], ",", 
     RowBox[{"fit", "[", 
      RowBox[{"2", ",", "t"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "7"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "Red", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Darker", "@", 
        RowBox[{"Darker", "@", "Green"}]}], "}"}]}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Medium", "]"}], ",", "Red", ",", 
      RowBox[{"Point", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Drop", "[", 
          RowBox[{"#", ",", 
           RowBox[{"{", "3", "}"}]}], "]"}], "&"}], "/@", "data"}], "]"}], 
      ",", 
      RowBox[{"Darker", "@", 
       RowBox[{"Darker", "@", "Green"}]}], ",", 
      RowBox[{"Point", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Drop", "[", 
          RowBox[{"#", ",", 
           RowBox[{"{", "2", "}"}]}], "]"}], "&"}], "/@", "data"}], "]"}]}], 
     "}"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"fit", "[", 
      RowBox[{"1", ",", "t"}], "]"}], ",", 
     RowBox[{"fit", "[", 
      RowBox[{"2", ",", "t"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "7"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "2.5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "3.2"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Medium", "]"}], ",", "Red", ",", 
      RowBox[{"Point", "[", 
       RowBox[{"Rest", "/@", "data"}], "]"}]}], "}"}]}], ",", 
   RowBox[{"AxesOrigin", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.6076738787041063`*^9, 3.607673901220916*^9}, {
  3.6077581873499126`*^9, 3.607758201428503*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Feladatok", "Section",
 CellChangeTimes->{{3.6243522981384*^9, 3.6243523012577744`*^9}}],

Cell[CellGroupData[{

Cell["Radioakt\[IAcute]v boml\[AAcute]s", "Subsection",
 CellChangeTimes->{{3.624352309209543*^9, 3.624352310522079*^9}, {
  3.6243524535794992`*^9, 3.624352459203711*^9}}],

Cell[TextData[{
 "Egy ismeretlen radioakt\[IAcute]v anyag az ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"m", "'"}], 
     RowBox[{"(", "t", ")"}]}], "=", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"ln", "(", "2", ")"}], 
       SubscriptBox["T", "HL"]]}], " ", 
     RowBox[{"m", "(", "t", ")"}]}]}], TraditionalForm]]],
 " modell szerint bomlik, ahol ",
 Cell[BoxData[
  FormBox[
   RowBox[{"m", "(", "t", ")"}], TraditionalForm]]],
 " az anyag t\[ODoubleDot]mege a ",
 Cell[BoxData[
  FormBox["t", TraditionalForm]]],
 " id\[ODoubleAcute]pontban ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"[", 
      RowBox[{"m", "(", "t", ")"}], "]"}], "=", 
     RowBox[{"1", "\[VeryThinSpace]", 
      StyleBox["g",
       FontSlant->"Plain"]}]}], 
    StyleBox[",",
     FontSlant->"Plain"]}], TraditionalForm]]],
 " \[EAcute]s ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["T", "HL"], TraditionalForm]]],
 " a felez\[EAcute]si id\[ODoubleAcute] ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"[", 
     SubscriptBox["T", "HL"], "]"}], "=", 
    RowBox[{"1", "\[VeryThinSpace]", 
     StyleBox["s",
      FontSlant->"Plain"]}]}], TraditionalForm]]],
 ". Az anyag boml\[AAcute]sa sor\[AAcute]n m\[EAcute]r\[EAcute]seket v\
\[EAcute]gz\[UDoubleDot]nk f\[EAcute]l \[OAcute]r\[AAcute]n kereszt\
\[UDoubleDot]l kb. 2 percenk\[EAcute]nt. A m\[EAcute]r\[EAcute]si adatok a",
 StyleBox[" decayData.dat",
  FontWeight->"Bold"],
 " \[AAcute]llom\[AAcute]nyban tal\[AAcute]lhat\[OAcute]k."
}], "Text",
 CellChangeTimes->{{3.606837868256374*^9, 3.6068379539194927`*^9}, {
  3.6068436520970993`*^9, 3.60684376430795*^9}, {3.606843993197414*^9, 
  3.606844000443035*^9}, {3.606845488403118*^9, 3.606845514364585*^9}, {
  3.606912408175178*^9, 3.606912410138657*^9}, {3.607068320903284*^9, 
  3.607068333589842*^9}}],

Cell[TextData[{
 StyleBox["a)",
  FontWeight->"Bold"],
 " Illessz\[UDoubleDot]k a differenci\[AAcute]legyenlet megold\[AAcute]s\
\[AAcute]t a m\[EAcute]rt adatokra, \[EAcute]s \[AAcute]br\[AAcute]zoljuk az \
eredm\[EAcute]nyt a m\[EAcute]r\[EAcute]si adatokkal egy\[UDoubleDot]tt."
}], "Text",
 CellChangeTimes->{{3.606839466608185*^9, 3.606839515232415*^9}, {
  3.6068436094441843`*^9, 3.606843627372031*^9}, {3.606843788723785*^9, 
  3.606843864230011*^9}}],

Cell[TextData[{
 StyleBox["b)",
  FontWeight->"Bold"],
 " Ments\[UDoubleDot]k el a ",
 StyleBox["parametersDecay.xls",
  FontWeight->"Bold"],
 " nev\[UDoubleAcute] \[AAcute]llom\[AAcute]nyba a param\[EAcute]terek t\
\[AAcute]bl\[AAcute]zat\[AAcute]t (",
 StyleBox["\[OpenCurlyDoubleQuote]ParametersTable\[CloseCurlyDoubleQuote]",
  FontFamily->"Courier"],
 ")."
}], "Text",
 CellChangeTimes->{{3.606844193172682*^9, 3.606844269468444*^9}, {
  3.6069124608691072`*^9, 3.6069126366084642`*^9}, {3.6069126768489227`*^9, 
  3.6069126796905193`*^9}, {3.606912863931217*^9, 3.606912885488213*^9}, {
  3.6070683965949917`*^9, 3.60706842230783*^9}, {3.607156083682035*^9, 
  3.607156090197262*^9}}],

Cell[TextData[{
 StyleBox["c)",
  FontWeight->"Bold"],
 " \[CapitalAAcute]br\[AAcute]zoljuk a ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["T", "HL"], TraditionalForm]]],
 " param\[EAcute]ter \[Dash] mint norm\[AAcute]l eloszl\[AAcute]s\[UAcute] \
val\[OAcute]sz\[IAcute]n\[UDoubleAcute]s\[EAcute]gi v\[AAcute]ltoz\[OAcute] \
\[Dash] s\[UDoubleAcute]r\[UDoubleAcute]s\[EAcute]gf\[UDoubleDot]ggv\[EAcute]\
ny\[EAcute]t.\nHat\[AAcute]rozzuk meg azokat az izot\[OAcute]pokat, amelyek a \
becs\[UDoubleDot]lt felez\[EAcute]si id\[ODoubleAcute]vel rendelkeznek ",
 Cell[BoxData[
  FormBox[
   RowBox[{"2", "\[Sigma]"}], TraditionalForm]]],
 " elt\[EAcute]r\[EAcute]sen bel\[UDoubleDot]l: ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", 
    RowBox[{"T", "-", 
     SubscriptBox["T", "HL"]}], "|", 
    RowBox[{"<", 
     RowBox[{"2", 
      RowBox[{"\[Sigma]", "."}]}]}]}], TraditionalForm]]],
 " Az ",
 StyleBox["isotopesData.dat",
  FontWeight->"Bold"],
 " \[AAcute]llom\[AAcute]ny tartalmazza az \[ODoubleDot]sszes olyan izot\
\[OAcute]p felez\[EAcute]si idej\[EAcute]t \[EAcute]s nev\[EAcute]t, amelynek \
felez\[EAcute]si ideje ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"144", "\[VeryThinSpace]", 
     StyleBox["s",
      FontSlant->"Plain"]}], "\[LessEqual]", 
    SubscriptBox["T", "HL"], "\[LessEqual]", 
    RowBox[{"1500", "\[VeryThinSpace]", 
     RowBox[{
      StyleBox["s",
       FontSlant->"Plain"], "."}]}]}], TraditionalForm]]]
}], "Text",
 CellChangeTimes->{{3.60684386687635*^9, 3.606844132349703*^9}, {
  3.60691294489769*^9, 3.606912972607875*^9}, {3.606913018770952*^9, 
  3.606913227756509*^9}, {3.606913302661586*^9, 3.6069133204296303`*^9}, {
  3.6069135009018917`*^9, 3.606913583483799*^9}, {3.6069136188146257`*^9, 
  3.6069136423726053`*^9}, {3.607068489621664*^9, 3.607068495869339*^9}, {
  3.6071560718515577`*^9, 3.607156072386469*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Csillap\[IAcute]tott oszcill\[AAcute]tor", "Subsection",
 CellChangeTimes->{{3.624352352496813*^9, 3.624352354727363*^9}, {
  3.6243524423476562`*^9, 3.6243524478269663`*^9}}],

Cell[TextData[{
 "Az ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"x", "''"}], 
       RowBox[{"(", "t", ")"}]}], "+", 
      RowBox[{"2", "\[Xi]", " ", "\[Omega]", " ", 
       RowBox[{"x", "'"}], 
       RowBox[{"(", "t", ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["\[Omega]", "2"], 
       RowBox[{"x", "(", "t", ")"}]}]}], "=", "0"}], ",", " ", 
    RowBox[{
     RowBox[{"x", "(", "0", ")"}], "=", 
     SubscriptBox["x", "0"]}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "'"}], 
      RowBox[{"(", "0", ")"}]}], "=", 
     SubscriptBox["v", "0"]}]}], TraditionalForm]]],
 " csillap\[IAcute]tott oszcill\[AAcute]tor m\[EAcute]r\[EAcute]s\[EAcute]vel \
kapott ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["t", "n"], ",", 
     SubscriptBox["x", "n"]}], ")"}], TraditionalForm]]],
 " adatok az ",
 StyleBox["oscData.xls",
  FontWeight->"Bold"],
 " \[AAcute]llom\[AAcute]nyban tal\[AAcute]lhat\[OAcute]k. Illessz\
\[UDoubleDot]k a modellt az adatokra. \[CapitalAAcute]br\[AAcute]zoljuk az \
eredm\[EAcute]nyt a m\[EAcute]rt adatokkal egy\[UDoubleDot]tt, illetve jelen\
\[IAcute]ts\[UDoubleDot]k meg a param\[EAcute]terek t\[AAcute]bl\[AAcute]zat\
\[AAcute]t (",
 StyleBox["\[OpenCurlyDoubleQuote]ParametersTable\[CloseCurlyDoubleQuote]",
  FontFamily->"Courier"],
 ")."
}], "Text",
 CellChangeTimes->{{3.6071561230332327`*^9, 3.607156330555869*^9}, 
   3.624352358134478*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Van der Pol Oszcill\[AAcute]tor", "Subsection",
 CellChangeTimes->{{3.624352362536682*^9, 3.62435236419282*^9}, {
  3.6243524235861673`*^9, 3.6243524308899*^9}}],

Cell["Tekints\[UDoubleDot]k az al\[AAcute]bbi nemline\[AAcute]ris oszcill\
\[AAcute]tort:", "Text",
 CellChangeTimes->{{3.606918301565469*^9, 3.606918313842368*^9}}],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"x", "''"}], 
      RowBox[{"(", "t", ")"}]}], "+", 
     RowBox[{
      RowBox[{"\[Mu]", "(", 
       RowBox[{"1", "-", 
        SuperscriptBox["x", "2"]}], ")"}], 
      RowBox[{"x", "'"}], 
      RowBox[{"(", "t", ")"}]}], "+", 
     RowBox[{"x", "(", "t", ")"}]}], "=", "0"}], ","}], 
  TraditionalForm]]]], "Text",
 CellChangeTimes->{{3.606913800897664*^9, 3.606913818465645*^9}, {
  3.6069187336707773`*^9, 3.606918742130265*^9}}],

Cell[TextData[{
 "ahol ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Mu]", ">", "0"}], TraditionalForm]]],
 " param\[EAcute]ter. Azt biztosan tudjuk, hogy ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"x", "'"}], 
      RowBox[{"(", "0", ")"}]}], "=", "0"}], ","}], TraditionalForm]]],
 " tov\[AAcute]bb\[AAcute] ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", "(", "0", ")"}], "=", 
    SubscriptBox["x", "0"]}], TraditionalForm]]],
 " ismeretlen. "
}], "Text",
 CellChangeTimes->{{3.606918316463456*^9, 3.60691836408539*^9}, {
  3.606918745241878*^9, 3.606918753566724*^9}}],

Cell[TextData[{
 "a) Olvassuk be a ",
 StyleBox["vanDerPolData.dat",
  FontWeight->"Bold"],
 " \[AAcute]llom\[AAcute]nyb\[OAcute]l a ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["t", "n"], ",", 
     SubscriptBox["x", "n"]}], ")"}], TraditionalForm]]],
 " alak\[UAcute] m\[EAcute]r\[EAcute]si adatokat, majd a \[Mu] \[EAcute]s ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "0"], TraditionalForm]]],
 " param\[EAcute]terek meghat\[AAcute]roz\[AAcute]s\[AAcute]val illessz\
\[UDoubleDot]k a differenci\[AAcute]legyenletet a m\[EAcute]r\[EAcute]si \
adatokra."
}], "Text",
 CellChangeTimes->{{3.60691838153275*^9, 3.606918521266811*^9}}],

Cell[TextData[{
 "b) \[CapitalAAcute]br\[AAcute]zoljuk az eredm\[EAcute]nyt a m\[EAcute]r\
\[EAcute]si adatokkal egy\[UDoubleDot]tt. \[CapitalIAcute]rassuk ki a param\
\[EAcute]terek t\[AAcute]bl\[AAcute]zat\[AAcute]t (",
 StyleBox["\[OpenCurlyDoubleQuote]ParametersTable\[CloseCurlyDoubleQuote]",
  FontFamily->"Courier"],
 ")."
}], "Text",
 CellChangeTimes->{{3.606918531633974*^9, 3.606918592431765*^9}, 
   3.607156367134156*^9, {3.6243523932424107`*^9, 3.624352411634081*^9}, {
   3.624353004519487*^9, 3.624353007388988*^9}}]
}, Open  ]]
}, Closed]]
}, Open  ]]
},
WindowToolbars->"EditBar",
WindowSize->{1366, 744},
WindowMargins->{{59, Automatic}, {Automatic, 49}},
ShowSelection->True,
FrontEndVersion->"10.0 for Linux x86 (64-bit) (June 27, 2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 264, 3, 93, "Title"],
Cell[846, 27, 1844, 42, 128, "Code"],
Cell[CellGroupData[{
Cell[2715, 73, 161, 2, 65, "Section"],
Cell[2879, 77, 125, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[3029, 83, 112, 1, 45, "Subsection"],
Cell[3144, 86, 114, 1, 31, "Text"],
Cell[3261, 89, 1395, 38, 77, "Input"],
Cell[4659, 129, 105, 1, 31, "Text"],
Cell[4767, 132, 94, 1, 32, "Input"],
Cell[4864, 135, 137, 1, 31, "Text"],
Cell[5004, 138, 73, 1, 32, "Input"],
Cell[5080, 141, 105, 1, 30, "Text"],
Cell[5188, 144, 212, 3, 32, "Input"],
Cell[5403, 149, 106, 1, 31, "Text"],
Cell[5512, 152, 212, 3, 55, "Input"],
Cell[5727, 157, 117, 1, 31, "Text"],
Cell[5847, 160, 183, 3, 55, "Input"],
Cell[CellGroupData[{
Cell[6055, 167, 134, 2, 35, "Subsubsection"],
Cell[6192, 171, 1517, 43, 125, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7746, 219, 339, 9, 37, "Subsubsection"],
Cell[8088, 230, 2051, 56, 121, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[10188, 292, 202, 3, 37, "Subsection"],
Cell[10393, 297, 1283, 36, 77, "Input"],
Cell[11679, 335, 1376, 33, 165, "Input"],
Cell[CellGroupData[{
Cell[13080, 372, 217, 3, 35, "Subsubsection"],
Cell[13300, 377, 3515, 97, 235, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[16864, 480, 119, 1, 37, "Subsection"],
Cell[16986, 483, 946, 30, 55, "Input"],
Cell[17935, 515, 413, 12, 32, "Input"],
Cell[18351, 529, 130, 2, 32, "Input"],
Cell[18484, 533, 266, 5, 31, "Text"],
Cell[18753, 540, 546, 17, 32, "Input"],
Cell[19302, 559, 629, 14, 32, "Input"],
Cell[19934, 575, 639, 14, 77, "Input"],
Cell[20576, 591, 743, 21, 32, "Input"],
Cell[21322, 614, 157, 3, 32, "Input"],
Cell[21482, 619, 818, 21, 99, "Input"],
Cell[22303, 642, 178, 4, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[22530, 652, 113, 1, 51, "Section"],
Cell[CellGroupData[{
Cell[22668, 657, 99, 1, 44, "Subsection"],
Cell[22770, 660, 1493, 42, 121, "Input"],
Cell[24266, 704, 1898, 53, 143, "Input"],
Cell[CellGroupData[{
Cell[26189, 761, 188, 2, 35, "Subsubsection"],
Cell[26380, 765, 946, 30, 55, "Input"],
Cell[27329, 797, 413, 12, 32, "Input"],
Cell[27745, 811, 130, 2, 32, "Input"],
Cell[27878, 815, 266, 5, 31, "Text"],
Cell[28147, 822, 546, 17, 32, "Input"],
Cell[28696, 841, 655, 14, 32, "Input"],
Cell[29354, 857, 639, 14, 77, "Input"],
Cell[29996, 873, 433, 10, 51, "Text"],
Cell[30432, 885, 743, 21, 32, "Input"],
Cell[31178, 908, 157, 3, 32, "Input"],
Cell[31338, 913, 818, 21, 99, "Input"],
Cell[32159, 936, 435, 11, 55, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32631, 952, 133, 1, 35, "Subsubsection"],
Cell[32767, 955, 1929, 56, 122, "Input"],
Cell[34699, 1013, 557, 17, 34, "Text"],
Cell[35259, 1032, 151, 3, 32, "Input"],
Cell[35413, 1037, 421, 12, 32, "Input"],
Cell[35837, 1051, 1009, 26, 143, "Input"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[36895, 1083, 97, 1, 36, "Subsection"],
Cell[36995, 1086, 2021, 63, 55, "Text"],
Cell[39019, 1151, 1250, 26, 55, "Input"],
Cell[40272, 1179, 217, 4, 32, "Input"],
Cell[40492, 1185, 436, 13, 32, "Text"],
Cell[40931, 1200, 1359, 40, 77, "Input"],
Cell[42293, 1242, 510, 12, 34, "Text"],
Cell[42806, 1256, 878, 26, 34, "Input"],
Cell[43687, 1284, 89, 1, 30, "Text"],
Cell[43779, 1287, 841, 22, 32, "Input"],
Cell[44623, 1311, 102, 1, 30, "Text"],
Cell[44728, 1314, 1329, 31, 99, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[46106, 1351, 105, 1, 51, "Section"],
Cell[46214, 1354, 2705, 86, 76, "Text"],
Cell[48922, 1442, 513, 15, 59, "DisplayFormula"],
Cell[49438, 1459, 101, 1, 31, "Text"],
Cell[49542, 1462, 622, 19, 59, "DisplayFormula"],
Cell[50167, 1483, 105, 1, 31, "Text"],
Cell[50275, 1486, 1466, 42, 77, "Input"],
Cell[CellGroupData[{
Cell[51766, 1532, 128, 1, 45, "Subsection"],
Cell[51897, 1535, 496, 8, 31, "Text"],
Cell[52396, 1545, 1012, 25, 55, "Input"],
Cell[53411, 1572, 2298, 61, 77, "Input"],
Cell[55712, 1635, 510, 16, 32, "Text"],
Cell[56225, 1653, 212, 4, 32, "Input"],
Cell[56440, 1659, 394, 12, 32, "Text"],
Cell[56837, 1673, 135, 2, 32, "Input"],
Cell[56975, 1677, 595, 20, 32, "Text"],
Cell[57573, 1699, 729, 15, 55, "Input"],
Cell[58305, 1716, 544, 17, 32, "Text"],
Cell[58852, 1735, 348, 7, 32, "Input"],
Cell[59203, 1744, 128, 1, 30, "Text"],
Cell[59334, 1747, 830, 19, 32, "Input"],
Cell[60167, 1768, 2485, 66, 165, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[62701, 1840, 117, 1, 51, "Section"],
Cell[CellGroupData[{
Cell[62843, 1845, 328, 4, 45, "Subsection"],
Cell[63174, 1851, 154, 2, 31, "Text"],
Cell[63331, 1855, 953, 27, 37, "Input"],
Cell[64287, 1884, 116, 1, 31, "Text"],
Cell[64406, 1887, 1722, 47, 77, "Input"],
Cell[66131, 1936, 377, 6, 31, "Text"],
Cell[66511, 1944, 2526, 64, 85, "Input"],
Cell[69040, 2010, 115, 1, 30, "Text"],
Cell[69158, 2013, 270, 6, 32, "Input"],
Cell[69431, 2021, 184, 2, 31, "Text"],
Cell[69618, 2025, 538, 12, 32, "Input"],
Cell[70159, 2039, 192, 2, 31, "Text"],
Cell[70354, 2043, 1473, 39, 77, "Input"],
Cell[71830, 2084, 176, 2, 31, "Text"],
Cell[72009, 2088, 846, 21, 32, "Input"],
Cell[72858, 2111, 236, 4, 31, "Text"],
Cell[73097, 2117, 1287, 36, 77, "Input"],
Cell[74387, 2155, 101, 1, 30, "Text"],
Cell[74491, 2158, 1561, 36, 77, "Input"],
Cell[76055, 2196, 241, 5, 31, "Text"],
Cell[76299, 2203, 988, 28, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[77324, 2236, 183, 2, 37, "Subsection"],
Cell[77510, 2240, 1747, 49, 121, "Input"],
Cell[79260, 2291, 1734, 46, 55, "Input"],
Cell[80997, 2339, 573, 14, 55, "Input"],
Cell[81573, 2355, 2145, 55, 77, "Input"],
Cell[83721, 2412, 116, 1, 30, "Text"],
Cell[83840, 2415, 197, 3, 55, "Input"],
Cell[84040, 2420, 718, 19, 32, "Input"],
Cell[84761, 2441, 228, 4, 31, "Text"],
Cell[84992, 2447, 2361, 66, 121, "Input"],
Cell[87356, 2515, 1028, 25, 55, "Input"],
Cell[88387, 2542, 2364, 69, 143, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[90800, 2617, 94, 1, 51, "Section"],
Cell[CellGroupData[{
Cell[90919, 2622, 172, 2, 44, "Subsection"],
Cell[91094, 2626, 1868, 57, 68, "Text"],
Cell[92965, 2685, 459, 9, 31, "Text"],
Cell[93427, 2696, 690, 16, 32, "Text"],
Cell[94120, 2714, 1872, 47, 76, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[96029, 2766, 181, 2, 45, "Subsection"],
Cell[96213, 2770, 1481, 45, 55, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[97731, 2820, 167, 2, 44, "Subsection"],
Cell[97901, 2824, 165, 2, 30, "Text"],
Cell[98069, 2828, 538, 17, 37, "Text"],
Cell[98610, 2847, 619, 22, 32, "Text"],
Cell[99232, 2871, 670, 19, 32, "Text"],
Cell[99905, 2892, 531, 10, 32, "Text"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
