(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     25796,        745]
NotebookOptionsPosition[     24438,        699]
NotebookOutlinePosition[     24774,        714]
CellTagsIndexPosition[     24731,        711]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Megold\[AAcute]sok", "Title",
 CellChangeTimes->{{3.6243525451017303`*^9, 3.624352547590568*^9}}],

Cell[CellGroupData[{

Cell["Radioakt\[IAcute]v boml\[AAcute]s", "Subsection",
 CellChangeTimes->{{3.624352309209543*^9, 3.624352310522079*^9}, {
  3.6243524535794992`*^9, 3.624352459203711*^9}}],

Cell[TextData[{
 "Egy ismeretlen radioakt\[IAcute]v anyag az ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"m", "'"}], 
     RowBox[{"(", "t", ")"}]}], "=", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"ln", "(", "2", ")"}], 
       SubscriptBox["T", "HL"]]}], " ", 
     RowBox[{"m", "(", "t", ")"}]}]}], TraditionalForm]]],
 " modell szerint bomlik, ahol ",
 Cell[BoxData[
  FormBox[
   RowBox[{"m", "(", "t", ")"}], TraditionalForm]]],
 " az anyag t\[ODoubleDot]mege a ",
 Cell[BoxData[
  FormBox["t", TraditionalForm]]],
 " id\[ODoubleAcute]pontban ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"[", 
      RowBox[{"m", "(", "t", ")"}], "]"}], "=", 
     RowBox[{"1", "\[VeryThinSpace]", 
      StyleBox["g",
       FontSlant->"Plain"]}]}], 
    StyleBox[",",
     FontSlant->"Plain"]}], TraditionalForm]]],
 " \[EAcute]s ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["T", "HL"], TraditionalForm]]],
 " a felez\[EAcute]si id\[ODoubleAcute] ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"[", 
     SubscriptBox["T", "HL"], "]"}], "=", 
    RowBox[{"1", "\[VeryThinSpace]", 
     StyleBox["s",
      FontSlant->"Plain"]}]}], TraditionalForm]]],
 ". Az anyag boml\[AAcute]sa sor\[AAcute]n m\[EAcute]r\[EAcute]seket v\
\[EAcute]gz\[UDoubleDot]nk f\[EAcute]l \[OAcute]r\[AAcute]n kereszt\
\[UDoubleDot]l kb. 2 percenk\[EAcute]nt. A m\[EAcute]r\[EAcute]si adatok a",
 StyleBox[" decayData.dat",
  FontWeight->"Bold"],
 " \[AAcute]llom\[AAcute]nyban tal\[AAcute]lhat\[OAcute]k."
}], "Text",
 CellChangeTimes->{{3.606837868256374*^9, 3.6068379539194927`*^9}, {
  3.6068436520970993`*^9, 3.60684376430795*^9}, {3.606843993197414*^9, 
  3.606844000443035*^9}, {3.606845488403118*^9, 3.606845514364585*^9}, {
  3.606912408175178*^9, 3.606912410138657*^9}, {3.607068320903284*^9, 
  3.607068333589842*^9}}],

Cell[TextData[{
 StyleBox["a)",
  FontWeight->"Bold"],
 " Illessz\[UDoubleDot]k a differenci\[AAcute]legyenlet megold\[AAcute]s\
\[AAcute]t a m\[EAcute]rt adatokra, \[EAcute]s \[AAcute]br\[AAcute]zoljuk az \
eredm\[EAcute]nyt a m\[EAcute]r\[EAcute]si adatokkal egy\[UDoubleDot]tt."
}], "Text",
 CellChangeTimes->{{3.606839466608185*^9, 3.606839515232415*^9}, {
  3.6068436094441843`*^9, 3.606843627372031*^9}, {3.606843788723785*^9, 
  3.606843864230011*^9}}],

Cell[TextData[{
 StyleBox["b)",
  FontWeight->"Bold"],
 " Ments\[UDoubleDot]k el a ",
 StyleBox["parametersDecay.xls",
  FontWeight->"Bold"],
 " nev\[UDoubleAcute] \[AAcute]llom\[AAcute]nyba a param\[EAcute]terek t\
\[AAcute]bl\[AAcute]zat\[AAcute]t (",
 StyleBox["\[OpenCurlyDoubleQuote]ParametersTable\[CloseCurlyDoubleQuote]",
  FontFamily->"Courier"],
 ")."
}], "Text",
 CellChangeTimes->{{3.606844193172682*^9, 3.606844269468444*^9}, {
  3.6069124608691072`*^9, 3.6069126366084642`*^9}, {3.6069126768489227`*^9, 
  3.6069126796905193`*^9}, {3.606912863931217*^9, 3.606912885488213*^9}, {
  3.6070683965949917`*^9, 3.60706842230783*^9}, {3.607156083682035*^9, 
  3.607156090197262*^9}}],

Cell[TextData[{
 StyleBox["c)",
  FontWeight->"Bold"],
 " \[CapitalAAcute]br\[AAcute]zoljuk a ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["T", "HL"], TraditionalForm]]],
 " param\[EAcute]ter \[Dash] mint norm\[AAcute]l eloszl\[AAcute]s\[UAcute] \
val\[OAcute]sz\[IAcute]n\[UDoubleAcute]s\[EAcute]gi v\[AAcute]ltoz\[OAcute] \
\[Dash] s\[UDoubleAcute]r\[UDoubleAcute]s\[EAcute]gf\[UDoubleDot]ggv\[EAcute]\
ny\[EAcute]t.\nHat\[AAcute]rozzuk meg azokat az izot\[OAcute]pokat, amelyek a \
becs\[UDoubleDot]lt felez\[EAcute]si id\[ODoubleAcute]vel rendelkeznek ",
 Cell[BoxData[
  FormBox[
   RowBox[{"2", "\[Sigma]"}], TraditionalForm]]],
 " elt\[EAcute]r\[EAcute]sen bel\[UDoubleDot]l: ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", 
    RowBox[{"T", "-", 
     SubscriptBox["T", "HL"]}], "|", 
    RowBox[{"<", 
     RowBox[{"2", 
      RowBox[{"\[Sigma]", "."}]}]}]}], TraditionalForm]]],
 " Az ",
 StyleBox["isotopesData.dat",
  FontWeight->"Bold"],
 " \[AAcute]llom\[AAcute]ny tartalmazza az \[ODoubleDot]sszes olyan izot\
\[OAcute]p felez\[EAcute]si idej\[EAcute]t \[EAcute]s nev\[EAcute]t, amelynek \
felez\[EAcute]si ideje ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"144", "\[VeryThinSpace]", 
     StyleBox["s",
      FontSlant->"Plain"]}], "\[LessEqual]", 
    SubscriptBox["T", "HL"], "\[LessEqual]", 
    RowBox[{"1500", "\[VeryThinSpace]", 
     RowBox[{
      StyleBox["s",
       FontSlant->"Plain"], "."}]}]}], TraditionalForm]]]
}], "Text",
 CellChangeTimes->{{3.60684386687635*^9, 3.606844132349703*^9}, {
  3.60691294489769*^9, 3.606912972607875*^9}, {3.606913018770952*^9, 
  3.606913227756509*^9}, {3.606913302661586*^9, 3.6069133204296303`*^9}, {
  3.6069135009018917`*^9, 3.606913583483799*^9}, {3.6069136188146257`*^9, 
  3.6069136423726053`*^9}, {3.607068489621664*^9, 3.607068495869339*^9}, {
  3.6071560718515577`*^9, 3.607156072386469*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"isotopesHL", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<isotopesData.dat\>\""}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.60683967954853*^9, 3.6068397121070223`*^9}, 
   3.606841238763197*^9, {3.606842013567521*^9, 3.606842023132201*^9}, {
   3.606842084277194*^9, 3.606842099129569*^9}}],

Cell[BoxData[{
 RowBox[{"decayData", "=", 
  RowBox[{"Import", "[", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<decayData.dat\>\""}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"decayData", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "2"}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"PointSize", "[", "Large", "]"}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.606844635729253*^9, 3.60684465663696*^9}, {
  3.606845279944792*^9, 3.606845296944257*^9}}],

Cell[BoxData[{
 RowBox[{"Clear", "[", "fit", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fit", "=", 
   RowBox[{"NonlinearModelFit", "[", 
    RowBox[{"decayData", ",", 
     RowBox[{
      SubscriptBox["m", "0"], " ", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{"Log", "[", "2", "]"}], 
          SubscriptBox["T", "HL"]]}], "t"}], "]"}]}], " ", ",", 
     RowBox[{"{", " ", 
      RowBox[{
       SubscriptBox["m", "0"], ",", 
       SubscriptBox["T", "HL"]}], "}"}], ",", "t"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "[", "\"\<ParameterTable\>\"", "]"}]}], "Input",
 CellChangeTimes->{{3.606840713326571*^9, 3.606840736813575*^9}, {
  3.60684116884778*^9, 3.606841181735145*^9}, {3.606841481790656*^9, 
  3.606841499052536*^9}, {3.606845019411709*^9, 3.606845028604303*^9}, {
  3.6068452664914703`*^9, 3.6068452743702927`*^9}, {3.60691274512414*^9, 
  3.606912750730235*^9}, {3.606912783363955*^9, 3.60691278545266*^9}, {
  3.6069128163779716`*^9, 3.606912817948637*^9}, {3.6243530322319727`*^9, 
  3.624353032534878*^9}}],

Cell[BoxData[{
 RowBox[{"Clear", "[", 
  RowBox[{"\[Sigma]", ",", "halfLife"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Sigma]", "=", 
   RowBox[{"Last", "[", 
    RowBox[{"fit", "[", "\"\<ParameterErrors\>\"", "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"halfLife", "=", 
   RowBox[{
    SubscriptBox["T", "HL"], "/.", 
    RowBox[{"fit", "[", "\"\<BestFitParameters\>\"", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"fit", "[", "\"\<BestFit\>\"", "]"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "2000"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "2"}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Medium", "]"}], ",", "Red", ",", 
      RowBox[{"Point", "[", "decayData", "]"}]}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"PDF", "[", 
     RowBox[{"NormalDistribution", "[", 
      RowBox[{"halfLife", ",", "\[Sigma]"}], "]"}], "]"}], "[", "t", "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "500", ",", "1200"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Large", "]"}], ",", "Red", ",", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Tooltip", "[", 
          RowBox[{
           RowBox[{"Point", "@", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"First", "[", "#", "]"}], ",", 
              RowBox[{
               RowBox[{"PDF", "[", 
                RowBox[{"NormalDistribution", "[", 
                 RowBox[{"halfLife", ",", "\[Sigma]"}], "]"}], "]"}], "[", 
               RowBox[{"First", "@", "#"}], "]"}]}], "}"}]}], ",", 
           RowBox[{"Last", "@", "#"}]}], "]"}], "&"}], ",", 
        RowBox[{"Select", "[", 
         RowBox[{"isotopesHL", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"Abs", "[", 
             RowBox[{"halfLife", "-", 
              RowBox[{
              "#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
             "]"}], "\[LessEqual]", 
            RowBox[{"2", "\[Sigma]"}]}], "&"}]}], "]"}]}], "]"}]}], "}"}]}]}],
   "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TableForm", "[", 
   RowBox[{
    RowBox[{"Select", "[", 
     RowBox[{"isotopesHL", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{"halfLife", "-", 
          RowBox[{
          "#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
         "]"}], "\[LessEqual]", 
        RowBox[{"2", "\[Sigma]"}]}], "&"}]}], "]"}], ",", 
    RowBox[{"TableHeadings", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"None", ",", 
       RowBox[{"{", 
        RowBox[{"\"\<Half Life [s]\>\"", ",", " ", "\"\<Isotope\>\""}], 
        "}"}]}], "}"}]}]}], "]"}], "//", "TraditionalForm"}]}], "Input",
 CellChangeTimes->{{3.606842832428974*^9, 3.6068429299553223`*^9}, {
  3.606843005292985*^9, 3.606843113524246*^9}, {3.606845041860653*^9, 
  3.60684520858773*^9}, {3.60684562002562*^9, 3.6068456230045843`*^9}, {
  3.6068456588230247`*^9, 3.606845660118739*^9}, {3.606912354361586*^9, 
  3.606912359641746*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Csillap\[IAcute]tott oszcill\[AAcute]tor", "Subsection",
 CellChangeTimes->{{3.624352352496813*^9, 3.624352354727363*^9}, {
  3.6243524423476562`*^9, 3.6243524478269663`*^9}}],

Cell[TextData[{
 "Az ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"x", "''"}], 
       RowBox[{"(", "t", ")"}]}], "+", 
      RowBox[{"2", "\[Xi]", " ", "\[Omega]", " ", 
       RowBox[{"x", "'"}], 
       RowBox[{"(", "t", ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["\[Omega]", "2"], 
       RowBox[{"x", "(", "t", ")"}]}]}], "=", "0"}], ",", " ", 
    RowBox[{
     RowBox[{"x", "(", "0", ")"}], "=", 
     SubscriptBox["x", "0"]}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "'"}], 
      RowBox[{"(", "0", ")"}]}], "=", 
     SubscriptBox["v", "0"]}]}], TraditionalForm]]],
 " csillap\[IAcute]tott oszcill\[AAcute]tor m\[EAcute]r\[EAcute]s\[EAcute]vel \
kapott ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["t", "n"], ",", 
     SubscriptBox["x", "n"]}], ")"}], TraditionalForm]]],
 " adatok az ",
 StyleBox["oscData.xls",
  FontWeight->"Bold"],
 " \[AAcute]llom\[AAcute]nyban tal\[AAcute]lhat\[OAcute]k. Illessz\
\[UDoubleDot]k a modellt az adatokra. \[CapitalAAcute]br\[AAcute]zoljuk az \
eredm\[EAcute]nyt a m\[EAcute]rt adatokkal egy\[UDoubleDot]tt, illetve jelen\
\[IAcute]ts\[UDoubleDot]k meg a param\[EAcute]terek t\[AAcute]bl\[AAcute]zat\
\[AAcute]t (",
 StyleBox["\[OpenCurlyDoubleQuote]ParametersTable\[CloseCurlyDoubleQuote]",
  FontFamily->"Courier"],
 ")."
}], "Text",
 CellChangeTimes->{{3.6071561230332327`*^9, 3.607156330555869*^9}, 
   3.624352358134478*^9}],

Cell[BoxData[{
 RowBox[{"Clear", "[", "x", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Osc", "=", 
   RowBox[{"ParametricNDSolveValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"x", "''"}], "[", "t", "]"}], "+", 
         RowBox[{"2", "\[Xi]", " ", "\[Omega]", " ", 
          RowBox[{
           RowBox[{"x", "'"}], "[", "t", "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["\[Omega]", "2"], 
          RowBox[{"x", "[", "t", "]"}]}]}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"x", "[", "0", "]"}], "\[Equal]", "x0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "v0"}]}], "}"}], 
     ",", "x", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "100"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Xi]", ",", "\[Omega]", ",", "x0", ",", "v0"}], "}"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"oscData", "=", 
   RowBox[{"First", "@", 
    RowBox[{"Import", "[", "\"\<oscData.xls\>\"", "]"}]}]}], ";"}]}], "Input",\

 CellChangeTimes->{{3.60646038165914*^9, 3.606460494324725*^9}, {
  3.609146837671253*^9, 3.609146879096239*^9}, {3.624352655532611*^9, 
  3.624352698225069*^9}}],

Cell["Illessz\[UDoubleDot]k k\[EAcute]zzel a becsl\[EAcute]shez", "Text",
 CellChangeTimes->{{3.624352704531282*^9, 3.62435271091626*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Osc", "[", 
       RowBox[{"\[Xi]", ",", "\[Omega]", ",", "x0", ",", "v0"}], "]"}], "[", 
      "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "30"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "3"}], "}"}]}], ",", 
     RowBox[{"Epilog", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Medium", "]"}], ",", "Red", ",", 
        RowBox[{"Point", "[", "oscData", "]"}]}], "}"}]}]}], "]"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Xi]", ",", "0.8", ",", "\"\<Damping\>\""}], "}"}], ",", 
     "0.01", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Omega]", ",", "1", ",", "\"\<Frequency\>\""}], "}"}], ",", 
     "0.1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", "1", ",", "\"\<Initial position\>\""}], "}"}], ",", 
     "0", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"v0", ",", "1", ",", "\"\<Initial velocity\>\""}], "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.606460502501541*^9, 3.606460739092054*^9}, 
   3.6064607705923758`*^9, {3.6064611108153543`*^9, 3.606461122310974*^9}}],

Cell[BoxData[
 RowBox[{"fitOsc", "=", 
  RowBox[{"NonlinearModelFit", "[", 
   RowBox[{"oscData", ",", 
    RowBox[{
     RowBox[{"Osc", "[", 
      RowBox[{"\[Xi]", ",", "\[Omega]", ",", "x0", ",", "v0"}], "]"}], "[", 
     "t", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Xi]", ",", "\[Omega]", ",", "x0", ",", "v0"}], "}"}], ",", 
    "t", ",", 
    RowBox[{"PrecisionGoal", "\[Rule]", "4"}], ",", 
    RowBox[{"AccuracyGoal", "\[Rule]", "4"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.606461244045889*^9, 3.60646133049104*^9}}],

Cell[BoxData[{
 RowBox[{"fitOsc", "[", "\"\<BestFitParameters\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"fitOsc", "[", "\"\<ParameterTable\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"fitOsc", "[", "\"\<BestFit\>\"", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "30"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", "Red", "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "3"}], ",", "3"}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Medium", "]"}], ",", "Red", ",", 
      RowBox[{"Point", "[", "oscData", "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.606461305035469*^9, 3.60646138495794*^9}, {
  3.606461466437471*^9, 3.606461510599066*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Van der Pol Oszcill\[AAcute]tor", "Subsection",
 CellChangeTimes->{{3.624352362536682*^9, 3.62435236419282*^9}, {
  3.6243524235861673`*^9, 3.6243524308899*^9}}],

Cell["Tekints\[UDoubleDot]k az al\[AAcute]bbi nemline\[AAcute]ris oszcill\
\[AAcute]tort:", "Text",
 CellChangeTimes->{{3.606918301565469*^9, 3.606918313842368*^9}}],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"x", "''"}], 
      RowBox[{"(", "t", ")"}]}], "+", 
     RowBox[{
      RowBox[{"\[Mu]", "(", 
       RowBox[{"1", "-", 
        SuperscriptBox["x", "2"]}], ")"}], 
      RowBox[{"x", "'"}], 
      RowBox[{"(", "t", ")"}]}], "+", 
     RowBox[{"x", "(", "t", ")"}]}], "=", "0"}], ","}], 
  TraditionalForm]]]], "Text",
 CellChangeTimes->{{3.606913800897664*^9, 3.606913818465645*^9}, {
  3.6069187336707773`*^9, 3.606918742130265*^9}}],

Cell[TextData[{
 "ahol ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Mu]", ">", "0"}], TraditionalForm]]],
 " param\[EAcute]ter. Azt biztosan tudjuk, hogy ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"x", "'"}], 
      RowBox[{"(", "0", ")"}]}], "=", "0"}], ","}], TraditionalForm]]],
 " tov\[AAcute]bb\[AAcute] ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", "(", "0", ")"}], "=", 
    SubscriptBox["x", "0"]}], TraditionalForm]]],
 " ismeretlen. "
}], "Text",
 CellChangeTimes->{{3.606918316463456*^9, 3.60691836408539*^9}, {
  3.606918745241878*^9, 3.606918753566724*^9}}],

Cell[TextData[{
 "a) Olvassuk be a ",
 StyleBox["vanDerPolData.dat",
  FontWeight->"Bold"],
 " \[AAcute]llom\[AAcute]nyb\[OAcute]l a ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["t", "n"], ",", 
     SubscriptBox["x", "n"]}], ")"}], TraditionalForm]]],
 " alak\[UAcute] m\[EAcute]r\[EAcute]si adatokat, majd a \[Mu] \[EAcute]s ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "0"], TraditionalForm]]],
 " param\[EAcute]terek meghat\[AAcute]roz\[AAcute]s\[AAcute]val illessz\
\[UDoubleDot]k a differenci\[AAcute]legyenletet a m\[EAcute]r\[EAcute]si \
adatokra."
}], "Text",
 CellChangeTimes->{{3.60691838153275*^9, 3.606918521266811*^9}}],

Cell[TextData[{
 "b) \[CapitalAAcute]br\[AAcute]zoljuk az eredm\[EAcute]nyt a m\[EAcute]r\
\[EAcute]si adatokkal egy\[UDoubleDot]tt. \[CapitalIAcute]rassuk ki egy \
\[AAcute]llom\[AAcute]nyba a param\[EAcute]terek t\[AAcute]bl\[AAcute]zat\
\[AAcute]t (",
 StyleBox["\[OpenCurlyDoubleQuote]ParametersTable\[CloseCurlyDoubleQuote]",
  FontFamily->"Courier"],
 ")."
}], "Text",
 CellChangeTimes->{{3.606918531633974*^9, 3.606918592431765*^9}, 
   3.607156367134156*^9, {3.6243523932424107`*^9, 3.624352411634081*^9}}],

Cell[BoxData[{
 RowBox[{"Clear", "[", "vanDerPol", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vanDerPol", "=", 
   RowBox[{"ParametricNDSolveValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"x", "''"}], "[", "t", "]"}], "-", 
         RowBox[{"\[Mu]", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            SuperscriptBox[
             RowBox[{"x", "[", "t", "]"}], "2"]}], ")"}], 
          RowBox[{
           RowBox[{"x", "'"}], "[", "t", "]"}]}], "+", 
         RowBox[{"x", "[", "t", "]"}]}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"x", "[", "0", "]"}], "\[Equal]", "x0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], ",",
      "x", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "100"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Mu]", ",", "x0"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.606915046978064*^9, 3.606915114258649*^9}, 
   3.606915351350224*^9, {3.6069154106277246`*^9, 3.606915431487433*^9}, {
   3.606915575057651*^9, 3.606915592262144*^9}, {3.606915784734391*^9, 
   3.606915814467442*^9}, {3.606918765235098*^9, 3.6069187954087353`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vanDerPolData", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<vanDerPolData.dat\>\""}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"vanDerPol", "[", 
       RowBox[{"\[Mu]", ",", "x0"}], "]"}], "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "30"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "3"}], "}"}]}], ",", 
     RowBox[{"Epilog", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Medium", "]"}], ",", "Red", ",", 
        RowBox[{"Point", "[", "vanDerPolData", "]"}]}], "}"}]}]}], "]"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Mu]", ",", "4.3"}], "}"}], ",", "2.", ",", "5."}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", "2"}], "}"}], ",", "1.", ",", "3."}], "}"}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.606917900649105*^9, 3.606917931663509*^9}, {
  3.606918014441489*^9, 3.606918065027301*^9}, {3.606918115710786*^9, 
  3.606918125865073*^9}, {3.606918681056644*^9, 3.606918690497398*^9}, {
  3.606918786210548*^9, 3.606918789918734*^9}, {3.606919506991158*^9, 
  3.6069195125185757`*^9}, {3.6069195443498173`*^9, 3.606919544469613*^9}}],

Cell[BoxData[{
 RowBox[{"Clear", "[", "fit", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fit", "=", 
   RowBox[{"NonlinearModelFit", "[", 
    RowBox[{"vanDerPolData", ",", 
     RowBox[{
      RowBox[{"vanDerPol", "[", 
       RowBox[{"\[Mu]", ",", "x0"}], "]"}], "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[Mu]", ",", "4.3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x0", ",", "2."}], "}"}]}], "}"}], ",", "t"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "[", "\"\<ParameterTable\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"fit", "[", "\"\<BestFit\>\"", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "30"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Medium", "]"}], ",", "Red", ",", 
      RowBox[{"Point", "[", "vanDerPolData", "]"}]}], "}"}]}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.606917451106901*^9, 3.606917535136216*^9}, {
   3.606917622669663*^9, 3.6069176793488083`*^9}, {3.606917752204913*^9, 
   3.606917754448152*^9}, {3.606917810108016*^9, 3.606917813741643*^9}, {
   3.606917854580855*^9, 3.606917854698504*^9}, {3.6069181524703293`*^9, 
   3.60691816260819*^9}, {3.606918193675085*^9, 3.606918200223762*^9}, {
   3.6069186472846603`*^9, 3.606918661617001*^9}, 3.606918708579541*^9, {
   3.606918802308671*^9, 3.6069188024076843`*^9}}]
}, Closed]]
}, Open  ]]
},
WindowSize->{1388, 793},
WindowMargins->{{Automatic, 176}, {Automatic, 59}},
FrontEndVersion->"10.0 for Linux x86 (64-bit) (June 27, 2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 103, 1, 93, "Title"],
Cell[CellGroupData[{
Cell[708, 27, 172, 2, 44, "Subsection"],
Cell[883, 31, 1868, 57, 68, "Text"],
Cell[2754, 90, 459, 9, 31, "Text"],
Cell[3216, 101, 690, 16, 32, "Text"],
Cell[3909, 119, 1872, 47, 76, "Text"],
Cell[5784, 168, 396, 9, 32, "Input"],
Cell[6183, 179, 594, 15, 55, "Input"],
Cell[6780, 196, 1116, 26, 108, "Input"],
Cell[7899, 224, 3378, 92, 209, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[11314, 321, 181, 2, 37, "Subsection"],
Cell[11498, 325, 1481, 45, 55, "Text"],
Cell[12982, 372, 1290, 36, 80, "Input"],
Cell[14275, 410, 138, 1, 30, "Text"],
Cell[14416, 413, 1519, 42, 77, "Input"],
Cell[15938, 457, 536, 13, 32, "Input"],
Cell[16477, 472, 866, 22, 77, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[17380, 499, 167, 2, 36, "Subsection"],
Cell[17550, 503, 165, 2, 30, "Text"],
Cell[17718, 507, 538, 17, 37, "Text"],
Cell[18259, 526, 619, 22, 32, "Text"],
Cell[18881, 550, 670, 19, 32, "Text"],
Cell[19554, 571, 514, 10, 32, "Text"],
Cell[20071, 583, 1287, 33, 58, "Input"],
Cell[21361, 618, 1525, 40, 99, "Input"],
Cell[22889, 660, 1521, 35, 99, "Input"]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
